#
# Module manifest for module 'Az.Network'
#
# Generated by: Microsoft Corporation
#
# Generated on: 1/30/2024
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Network.psm1'

# Version number of this module.
ModuleVersion = '7.4.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f554cfcd-9cbb-4021-b158-fe20f0497f82'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Networking service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on Networking, please visit the following: https://learn.microsoft.com/azure/networking/networking-overview'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.AutoMapper.dll', 
               'Microsoft.Azure.PowerShell.Network.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Network.generated.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzApplicationGatewayAuthenticationCertificate', 
               'Add-AzApplicationGatewayBackendAddressPool', 
               'Add-AzApplicationGatewayBackendHttpSetting', 
               'Add-AzApplicationGatewayBackendSetting', 
               'Add-AzApplicationGatewayCustomError', 
               'Add-AzApplicationGatewayFrontendIPConfig', 
               'Add-AzApplicationGatewayFrontendPort', 
               'Add-AzApplicationGatewayHttpListener', 
               'Add-AzApplicationGatewayHttpListenerCustomError', 
               'Add-AzApplicationGatewayIPConfiguration', 
               'Add-AzApplicationGatewayListener', 
               'Add-AzApplicationGatewayPrivateLinkConfiguration', 
               'Add-AzApplicationGatewayProbeConfig', 
               'Add-AzApplicationGatewayRedirectConfiguration', 
               'Add-AzApplicationGatewayRequestRoutingRule', 
               'Add-AzApplicationGatewayRewriteRuleSet', 
               'Add-AzApplicationGatewayRoutingRule', 
               'Add-AzApplicationGatewaySslCertificate', 
               'Add-AzApplicationGatewaySslProfile', 
               'Add-AzApplicationGatewayTrustedClientCertificate', 
               'Add-AzApplicationGatewayTrustedRootCertificate', 
               'Add-AzApplicationGatewayUrlPathMapConfig', 'Add-AzDelegation', 
               'Add-AzExpressRouteCircuitAuthorization', 
               'Add-AzExpressRouteCircuitConnectionConfig', 
               'Add-AzExpressRouteCircuitPeeringConfig', 
               'Add-AzExpressRouteCrossConnectionPeering', 
               'Add-AzExpressRoutePortAuthorization', 
               'Add-AzLoadBalancerBackendAddressPoolConfig', 
               'Add-AzLoadBalancerFrontendIpConfig', 
               'Add-AzLoadBalancerInboundNatPoolConfig', 
               'Add-AzLoadBalancerInboundNatRuleConfig', 
               'Add-AzLoadBalancerOutboundRuleConfig', 
               'Add-AzLoadBalancerProbeConfig', 'Add-AzLoadBalancerRuleConfig', 
               'Add-AzNetworkInterfaceIpConfig', 'Add-AzNetworkInterfaceTapConfig', 
               'Add-AzNetworkSecurityRuleConfig', 'Add-AzRouteConfig', 
               'Add-AzRouteFilterRuleConfig', 'Add-AzRouteServerPeer', 
               'Add-AzRoutingPolicy', 'Add-AzServiceEndpointPolicyDefinition', 
               'Add-AzVirtualHubRoute', 'Add-AzVirtualHubRouteTable', 
               'Add-AzVirtualNetworkGatewayIpConfig', 
               'Add-AzVirtualNetworkPeering', 'Add-AzVirtualNetworkSubnetConfig', 
               'Add-AzVirtualRouterPeer', 'Add-AzVpnClientRevokedCertificate', 
               'Add-AzVpnClientRootCertificate', 
               'Approve-AzPrivateEndpointConnection', 
               'Deny-AzPrivateEndpointConnection', 'Deploy-AzNetworkManagerCommit', 
               'Disconnect-AzP2SVpnGatewayVpnConnection', 
               'Disconnect-AzVirtualNetworkGatewayVpnConnection', 
               'Get-AzApplicationGateway', 
               'Get-AzApplicationGatewayAuthenticationCertificate', 
               'Get-AzApplicationGatewayAutoscaleConfiguration', 
               'Get-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'Get-AzApplicationGatewayAvailableSslOption', 
               'Get-AzApplicationGatewayAvailableWafRuleSet', 
               'Get-AzApplicationGatewayBackendAddressPool', 
               'Get-AzApplicationGatewayBackendHealth', 
               'Get-AzApplicationGatewayBackendHttpSetting', 
               'Get-AzApplicationGatewayBackendSetting', 
               'Get-AzApplicationGatewayClientAuthConfiguration', 
               'Get-AzApplicationGatewayConnectionDraining', 
               'Get-AzApplicationGatewayCustomError', 
               'Get-AzApplicationGatewayFirewallPolicy', 
               'Get-AzApplicationGatewayFrontendIPConfig', 
               'Get-AzApplicationGatewayFrontendPort', 
               'Get-AzApplicationGatewayHttpListener', 
               'Get-AzApplicationGatewayHttpListenerCustomError', 
               'Get-AzApplicationGatewayIdentity', 
               'Get-AzApplicationGatewayIPConfiguration', 
               'Get-AzApplicationGatewayListener', 
               'Get-AzApplicationGatewayPrivateLinkConfiguration', 
               'Get-AzApplicationGatewayProbeConfig', 
               'Get-AzApplicationGatewayRedirectConfiguration', 
               'Get-AzApplicationGatewayRequestRoutingRule', 
               'Get-AzApplicationGatewayRewriteRuleSet', 
               'Get-AzApplicationGatewayRoutingRule', 
               'Get-AzApplicationGatewaySku', 
               'Get-AzApplicationGatewaySslCertificate', 
               'Get-AzApplicationGatewaySslPolicy', 
               'Get-AzApplicationGatewaySslPredefinedPolicy', 
               'Get-AzApplicationGatewaySslProfile', 
               'Get-AzApplicationGatewaySslProfilePolicy', 
               'Get-AzApplicationGatewayTrustedClientCertificate', 
               'Get-AzApplicationGatewayTrustedRootCertificate', 
               'Get-AzApplicationGatewayUrlPathMapConfig', 
               'Get-AzApplicationGatewayWafDynamicManifest', 
               'Get-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Get-AzApplicationSecurityGroup', 
               'Get-AzAutoApprovedPrivateLinkService', 
               'Get-AzAvailablePrivateEndpointType', 'Get-AzAvailableServiceAlias', 
               'Get-AzAvailableServiceDelegation', 'Get-AzBastion', 
               'Get-AzBgpServiceCommunity', 'Get-AzCustomIpPrefix', 
               'Get-AzDdosProtectionPlan', 'Get-AzDelegation', 
               'Get-AzEffectiveNetworkSecurityGroup', 'Get-AzEffectiveRouteTable', 
               'Get-AzExpressRouteCircuit', 'Get-AzExpressRouteCircuitARPTable', 
               'Get-AzExpressRouteCircuitAuthorization', 
               'Get-AzExpressRouteCircuitConnectionConfig', 
               'Get-AzExpressRouteCircuitPeeringConfig', 
               'Get-AzExpressRouteCircuitRouteTable', 
               'Get-AzExpressRouteCircuitRouteTableSummary', 
               'Get-AzExpressRouteCircuitStat', 'Get-AzExpressRouteConnection', 
               'Get-AzExpressRouteCrossConnection', 
               'Get-AzExpressRouteCrossConnectionArpTable', 
               'Get-AzExpressRouteCrossConnectionPeering', 
               'Get-AzExpressRouteCrossConnectionRouteTable', 
               'Get-AzExpressRouteCrossConnectionRouteTableSummary', 
               'Get-AzExpressRouteGateway', 'Get-AzExpressRoutePort', 
               'Get-AzExpressRoutePortAuthorization', 
               'Get-AzExpressRoutePortIdentity', 
               'Get-AzExpressRoutePortLinkConfig', 
               'Get-AzExpressRoutePortsLocation', 
               'Get-AzExpressRouteServiceProvider', 'Get-AzFirewall', 
               'Get-AzFirewallFqdnTag', 'Get-AzFirewallLearnedIpPrefix', 
               'Get-AzFirewallPolicy', 'Get-AzFirewallPolicyRuleCollectionGroup', 
               'Get-AzIpAllocation', 'Get-AzIpGroup', 'Get-AzLoadBalancer', 
               'Get-AzLoadBalancerBackendAddressInboundNatRulePortMapping', 
               'Get-AzLoadBalancerBackendAddressPool', 
               'Get-AzLoadBalancerBackendAddressPoolConfig', 
               'Get-AzLoadBalancerFrontendIpConfig', 
               'Get-AzLoadBalancerInboundNatPoolConfig', 
               'Get-AzLoadBalancerInboundNatRuleConfig', 
               'Get-AzLoadBalancerOutboundRuleConfig', 
               'Get-AzLoadBalancerProbeConfig', 'Get-AzLoadBalancerRuleConfig', 
               'Get-AzLocalNetworkGateway', 'Get-AzNatGateway', 
               'Get-AzNetworkInterface', 'Get-AzNetworkInterfaceIpConfig', 
               'Get-AzNetworkInterfaceTapConfig', 'Get-AzNetworkManager', 
               'Get-AzNetworkManagerActiveConnectivityConfiguration', 
               'Get-AzNetworkManagerActiveSecurityAdminRule', 
               'Get-AzNetworkManagerConnectivityConfiguration', 
               'Get-AzNetworkManagerDeploymentStatus', 
               'Get-AzNetworkManagerEffectiveConnectivityConfiguration', 
               'Get-AzNetworkManagerEffectiveSecurityAdminRule', 
               'Get-AzNetworkManagerGroup', 
               'Get-AzNetworkManagerManagementGroupConnection', 
               'Get-AzNetworkManagerScopeConnection', 
               'Get-AzNetworkManagerSecurityAdminConfiguration', 
               'Get-AzNetworkManagerSecurityAdminRule', 
               'Get-AzNetworkManagerSecurityAdminRuleCollection', 
               'Get-AzNetworkManagerStaticMember', 
               'Get-AzNetworkManagerSubscriptionConnection', 
               'Get-AzNetworkProfile', 'Get-AzNetworkSecurityGroup', 
               'Get-AzNetworkSecurityRuleConfig', 'Get-AzNetworkServiceTag', 
               'Get-AzNetworkUsage', 'Get-AzNetworkVirtualAppliance', 
               'Get-AzNetworkVirtualApplianceConnection', 
               'Get-AzNetworkVirtualApplianceSku', 'Get-AzNetworkWatcher', 
               'Get-AzNetworkWatcherConnectionMonitor', 
               'Get-AzNetworkWatcherConnectionMonitorReport', 
               'Get-AzNetworkWatcherFlowLog', 'Get-AzNetworkWatcherFlowLogStatus', 
               'Get-AzNetworkWatcherNextHop', 'Get-AzNetworkWatcherPacketCapture', 
               'Get-AzNetworkWatcherReachabilityProvidersList', 
               'Get-AzNetworkWatcherReachabilityReport', 
               'Get-AzNetworkWatcherSecurityGroupView', 
               'Get-AzNetworkWatcherTopology', 
               'Get-AzNetworkWatcherTroubleshootingResult', 'Get-AzP2sVpnGateway', 
               'Get-AzP2sVpnGatewayConnectionHealth', 
               'Get-AzP2sVpnGatewayDetailedConnectionHealth', 
               'Get-AzP2sVpnGatewayVpnProfile', 'Get-AzPrivateDnsZoneGroup', 
               'Get-AzPrivateEndpoint', 'Get-AzPrivateEndpointConnection', 
               'Get-AzPrivateLinkResource', 'Get-AzPrivateLinkService', 
               'Get-AzPublicIpAddress', 'Get-AzPublicIpPrefix', 'Get-AzRouteConfig', 
               'Get-AzRouteFilter', 'Get-AzRouteFilterRuleConfig', 'Get-AzRouteMap', 
               'Get-AzRouteServer', 'Get-AzRouteServerPeer', 
               'Get-AzRouteServerPeerAdvertisedRoute', 
               'Get-AzRouteServerPeerLearnedRoute', 'Get-AzRouteTable', 
               'Get-AzRoutingIntent', 'Get-AzRoutingPolicy', 
               'Get-AzSecurityPartnerProvider', 'Get-AzServiceEndpointPolicy', 
               'Get-AzServiceEndpointPolicyDefinition', 'Get-AzVHubEffectiveRoute', 
               'Get-AzVHubInboundRoute', 'Get-AzVHubOutboundRoute', 
               'Get-AzVHubRouteTable', 'Get-AzVirtualApplianceSite', 
               'Get-AzVirtualHub', 'Get-AzVirtualHubBgpConnection', 
               'Get-AzVirtualHubRouteTable', 'Get-AzVirtualHubVnetConnection', 
               'Get-AzVirtualNetwork', 
               'Get-AzVirtualNetworkAvailableEndpointService', 
               'Get-AzVirtualNetworkGateway', 
               'Get-AzVirtualNetworkGatewayAdvertisedRoute', 
               'Get-AzVirtualNetworkGatewayBGPPeerStatus', 
               'Get-AzVirtualNetworkGatewayConnection', 
               'Get-AzVirtualNetworkGatewayConnectionIkeSa', 
               'Get-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Get-AzVirtualNetworkGatewayConnectionVpnDeviceConfigScript', 
               'Get-AzVirtualNetworkGatewayLearnedRoute', 
               'Get-AzVirtualNetworkGatewayNatRule', 
               'Get-AzVirtualNetworkGatewaySupportedVpnDevice', 
               'Get-AzVirtualNetworkGatewayVpnClientConnectionHealth', 
               'Get-AzVirtualNetworkPeering', 'Get-AzVirtualNetworkSubnetConfig', 
               'Get-AzVirtualNetworkTap', 'Get-AzVirtualNetworkUsageList', 
               'Get-AzVirtualRouter', 'Get-AzVirtualRouterPeer', 
               'Get-AzVirtualRouterPeerAdvertisedRoute', 
               'Get-AzVirtualRouterPeerLearnedRoute', 'Get-AzVirtualWan', 
               'Get-AzVirtualWanVpnConfiguration', 
               'Get-AzVirtualWanVpnServerConfiguration', 
               'Get-AzVirtualWanVpnServerConfigurationVpnProfile', 
               'Get-AzVpnClientConfiguration', 'Get-AzVpnClientIpsecParameter', 
               'Get-AzVpnClientPackage', 'Get-AzVpnClientRevokedCertificate', 
               'Get-AzVpnClientRootCertificate', 'Get-AzVpnConnection', 
               'Get-AzVpnGateway', 'Get-AzVpnGatewayNatRule', 
               'Get-AzVpnServerConfiguration', 
               'Get-AzVpnServerConfigurationPolicyGroup', 'Get-AzVpnSite', 
               'Get-AzVpnSiteLinkConnectionIkeSa', 
               'Invoke-AzNetworkWatcherNetworkConfigurationDiagnostic', 
               'Move-AzExpressRouteCircuit', 'New-AzApplicationGateway', 
               'New-AzApplicationGatewayAuthenticationCertificate', 
               'New-AzApplicationGatewayAutoscaleConfiguration', 
               'New-AzApplicationGatewayBackendAddressPool', 
               'New-AzApplicationGatewayBackendHttpSetting', 
               'New-AzApplicationGatewayBackendSetting', 
               'New-AzApplicationGatewayClientAuthConfiguration', 
               'New-AzApplicationGatewayConnectionDraining', 
               'New-AzApplicationGatewayCustomError', 
               'New-AzApplicationGatewayFirewallCondition', 
               'New-AzApplicationGatewayFirewallCustomRule', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByUserSession', 
               'New-AzApplicationGatewayFirewallCustomRuleGroupByVariable', 
               'New-AzApplicationGatewayFirewallDisabledRuleGroupConfig', 
               'New-AzApplicationGatewayFirewallExclusionConfig', 
               'New-AzApplicationGatewayFirewallMatchVariable', 
               'New-AzApplicationGatewayFirewallPolicy', 
               'New-AzApplicationGatewayFirewallPolicyExclusion', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleGroup', 
               'New-AzApplicationGatewayFirewallPolicyExclusionManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingConfiguration', 
               'New-AzApplicationGatewayFirewallPolicyLogScrubbingRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRule', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleGroupOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleOverride', 
               'New-AzApplicationGatewayFirewallPolicyManagedRuleSet', 
               'New-AzApplicationGatewayFirewallPolicySetting', 
               'New-AzApplicationGatewayFrontendIPConfig', 
               'New-AzApplicationGatewayFrontendPort', 
               'New-AzApplicationGatewayHttpListener', 
               'New-AzApplicationGatewayIdentity', 
               'New-AzApplicationGatewayIPConfiguration', 
               'New-AzApplicationGatewayListener', 
               'New-AzApplicationGatewayPathRuleConfig', 
               'New-AzApplicationGatewayPrivateLinkConfiguration', 
               'New-AzApplicationGatewayPrivateLinkIpConfiguration', 
               'New-AzApplicationGatewayProbeConfig', 
               'New-AzApplicationGatewayProbeHealthResponseMatch', 
               'New-AzApplicationGatewayRedirectConfiguration', 
               'New-AzApplicationGatewayRequestRoutingRule', 
               'New-AzApplicationGatewayRewriteRule', 
               'New-AzApplicationGatewayRewriteRuleActionSet', 
               'New-AzApplicationGatewayRewriteRuleCondition', 
               'New-AzApplicationGatewayRewriteRuleHeaderConfiguration', 
               'New-AzApplicationGatewayRewriteRuleSet', 
               'New-AzApplicationGatewayRewriteRuleUrlConfiguration', 
               'New-AzApplicationGatewayRoutingRule', 
               'New-AzApplicationGatewaySku', 
               'New-AzApplicationGatewaySslCertificate', 
               'New-AzApplicationGatewaySslPolicy', 
               'New-AzApplicationGatewaySslProfile', 
               'New-AzApplicationGatewayTrustedClientCertificate', 
               'New-AzApplicationGatewayTrustedRootCertificate', 
               'New-AzApplicationGatewayUrlPathMapConfig', 
               'New-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'New-AzApplicationSecurityGroup', 'New-AzBastion', 
               'New-AzContainerNicConfig', 'New-AzContainerNicConfigIpConfig', 
               'New-AzCustomIpPrefix', 'New-AzDdosProtectionPlan', 
               'New-AzDelegation', 'New-AzExpressRouteCircuit', 
               'New-AzExpressRouteCircuitAuthorization', 
               'New-AzExpressRouteCircuitPeeringConfig', 
               'New-AzExpressRouteConnection', 'New-AzExpressRouteGateway', 
               'New-AzExpressRoutePort', 'New-AzExpressRoutePortIdentity', 
               'New-AzExpressRoutePortLOA', 'New-AzFirewall', 
               'New-AzFirewallApplicationRule', 
               'New-AzFirewallApplicationRuleCollection', 
               'New-AzFirewallHubIpAddress', 'New-AzFirewallHubPublicIpAddress', 
               'New-AzFirewallNatRule', 'New-AzFirewallNatRuleCollection', 
               'New-AzFirewallNetworkRule', 'New-AzFirewallNetworkRuleCollection', 
               'New-AzFirewallPolicy', 'New-AzFirewallPolicyApplicationRule', 
               'New-AzFirewallPolicyApplicationRuleCustomHttpHeader', 
               'New-AzFirewallPolicyDnsSetting', 
               'New-AzFirewallPolicyExplicitProxy', 
               'New-AzFirewallPolicyFilterRuleCollection', 
               'New-AzFirewallPolicyIntrusionDetection', 
               'New-AzFirewallPolicyIntrusionDetectionBypassTraffic', 
               'New-AzFirewallPolicyIntrusionDetectionSignatureOverride', 
               'New-AzFirewallPolicyNatRule', 
               'New-AzFirewallPolicyNatRuleCollection', 
               'New-AzFirewallPolicyNetworkRule', 
               'New-AzFirewallPolicyRuleCollectionGroup', 
               'New-AzFirewallPolicySnat', 'New-AzFirewallPolicySqlSetting', 
               'New-AzFirewallPolicyThreatIntelWhitelist', 
               'New-AzFirewallPublicIpAddress', 
               'New-AzFirewallThreatIntelWhitelist', 
               'New-AzGatewayCustomBgpIpConfigurationObject', 'New-AzIpAllocation', 
               'New-AzIpConfigurationBgpPeeringAddressObject', 'New-AzIpGroup', 
               'New-AzIpsecPolicy', 'New-AzIpsecTrafficSelectorPolicy', 
               'New-AzLoadBalancer', 'New-AzLoadBalancerBackendAddressConfig', 
               'New-AzLoadBalancerBackendAddressPool', 
               'New-AzLoadBalancerBackendAddressPoolConfig', 
               'New-AzLoadBalancerBackendAddressPoolTunnelInterfaceConfig', 
               'New-AzLoadBalancerFrontendIpConfig', 
               'New-AzLoadBalancerInboundNatPoolConfig', 
               'New-AzLoadBalancerInboundNatRuleConfig', 
               'New-AzLoadBalancerOutboundRuleConfig', 
               'New-AzLoadBalancerProbeConfig', 'New-AzLoadBalancerRuleConfig', 
               'New-AzLocalNetworkGateway', 'New-AzNatGateway', 
               'New-AzNetworkInterface', 'New-AzNetworkInterfaceIpConfig', 
               'New-AzNetworkManager', 'New-AzNetworkManagerAddressPrefixItem', 
               'New-AzNetworkManagerConnectivityConfiguration', 
               'New-AzNetworkManagerConnectivityGroupItem', 
               'New-AzNetworkManagerGroup', 'New-AzNetworkManagerHub', 
               'New-AzNetworkManagerManagementGroupConnection', 
               'New-AzNetworkManagerScope', 'New-AzNetworkManagerScopeConnection', 
               'New-AzNetworkManagerSecurityAdminConfiguration', 
               'New-AzNetworkManagerSecurityAdminRule', 
               'New-AzNetworkManagerSecurityAdminRuleCollection', 
               'New-AzNetworkManagerSecurityGroupItem', 
               'New-AzNetworkManagerStaticMember', 
               'New-AzNetworkManagerSubscriptionConnection', 
               'New-AzNetworkProfile', 'New-AzNetworkSecurityGroup', 
               'New-AzNetworkSecurityRuleConfig', 'New-AzNetworkVirtualAppliance', 
               'New-AzNetworkWatcher', 'New-AzNetworkWatcherConnectionMonitor', 
               'New-AzNetworkWatcherConnectionMonitorEndpointObject', 
               'New-AzNetworkWatcherConnectionMonitorEndpointScopeItemObject', 
               'New-AzNetworkWatcherConnectionMonitorObject', 
               'New-AzNetworkWatcherConnectionMonitorOutputObject', 
               'New-AzNetworkWatcherConnectionMonitorProtocolConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestConfigurationObject', 
               'New-AzNetworkWatcherConnectionMonitorTestGroupObject', 
               'New-AzNetworkWatcherFlowLog', 
               'New-AzNetworkWatcherNetworkConfigurationDiagnosticProfile', 
               'New-AzNetworkWatcherPacketCapture', 
               'New-AzNetworkWatcherPacketCaptureV2', 
               'New-AzNetworkWatcherProtocolConfiguration', 
               'New-AzO365PolicyProperty', 'New-AzOffice365PolicyProperty', 
               'New-AzP2sVpnGateway', 'New-AzPacketCaptureFilterConfig', 
               'New-AzPacketCaptureScopeConfig', 'New-AzPrivateDnsZoneConfig', 
               'New-AzPrivateDnsZoneGroup', 'New-AzPrivateEndpoint', 
               'New-AzPrivateEndpointIpConfiguration', 'New-AzPrivateLinkService', 
               'New-AzPrivateLinkServiceConnection', 
               'New-AzPrivateLinkServiceIpConfig', 'New-AzPublicIpAddress', 
               'New-AzPublicIpPrefix', 'New-AzPublicIpTag', 'New-AzRadiusServer', 
               'New-AzRouteConfig', 'New-AzRouteFilter', 
               'New-AzRouteFilterRuleConfig', 'New-AzRouteMap', 'New-AzRouteMapRule', 
               'New-AzRouteMapRuleAction', 'New-AzRouteMapRuleActionParameter', 
               'New-AzRouteMapRuleCriterion', 'New-AzRouteServer', 
               'New-AzRouteTable', 'New-AzRoutingConfiguration', 
               'New-AzRoutingIntent', 'New-AzRoutingPolicy', 
               'New-AzSaaSNetworkVirtualAppliance', 
               'New-AzSecurityPartnerProvider', 'New-AzServiceEndpointPolicy', 
               'New-AzServiceEndpointPolicyDefinition', 'New-AzStaticRoute', 
               'New-AzVHubRoute', 'New-AzVHubRouteTable', 
               'New-AzVirtualApplianceAdditionalNicProperty', 
               'New-AzVirtualApplianceSite', 'New-AzVirtualApplianceSkuProperty', 
               'New-AzVirtualHub', 'New-AzVirtualHubBgpConnection', 
               'New-AzVirtualHubRoute', 'New-AzVirtualHubRouteTable', 
               'New-AzVirtualHubVnetConnection', 'New-AzVirtualNetwork', 
               'New-AzVirtualNetworkGateway', 
               'New-AzVirtualNetworkGatewayConnection', 
               'New-AzVirtualNetworkGatewayIpConfig', 
               'New-AzVirtualNetworkGatewayNatRule', 
               'New-AzVirtualNetworkGatewayPolicyGroup', 
               'New-AzVirtualNetworkGatewayPolicyGroupMember', 
               'New-AzVirtualNetworkSubnetConfig', 'New-AzVirtualNetworkTap', 
               'New-AzVirtualRouter', 'New-AzVirtualRouterAutoScaleConfiguration', 
               'New-AzVirtualWan', 'New-AzVpnClientConfiguration', 
               'New-AzVpnClientConnectionConfiguration', 
               'New-AzVpnClientIpsecParameter', 'New-AzVpnClientIpsecPolicy', 
               'New-AzVpnClientRevokedCertificate', 
               'New-AzVpnClientRootCertificate', 'New-AzVpnConnection', 
               'New-AzVpnGateway', 'New-AzVpnGatewayNatRule', 
               'New-AzVpnServerConfiguration', 
               'New-AzVpnServerConfigurationPolicyGroup', 'New-AzVpnSite', 
               'New-AzVpnSiteLink', 'New-AzVpnSiteLinkConnection', 
               'Remove-AzApplicationGateway', 
               'Remove-AzApplicationGatewayAuthenticationCertificate', 
               'Remove-AzApplicationGatewayAutoscaleConfiguration', 
               'Remove-AzApplicationGatewayBackendAddressPool', 
               'Remove-AzApplicationGatewayBackendHttpSetting', 
               'Remove-AzApplicationGatewayBackendSetting', 
               'Remove-AzApplicationGatewayClientAuthConfiguration', 
               'Remove-AzApplicationGatewayConnectionDraining', 
               'Remove-AzApplicationGatewayCustomError', 
               'Remove-AzApplicationGatewayFirewallCustomRule', 
               'Remove-AzApplicationGatewayFirewallPolicy', 
               'Remove-AzApplicationGatewayFrontendIPConfig', 
               'Remove-AzApplicationGatewayFrontendPort', 
               'Remove-AzApplicationGatewayHttpListener', 
               'Remove-AzApplicationGatewayHttpListenerCustomError', 
               'Remove-AzApplicationGatewayIdentity', 
               'Remove-AzApplicationGatewayIPConfiguration', 
               'Remove-AzApplicationGatewayListener', 
               'Remove-AzApplicationGatewayPrivateLinkConfiguration', 
               'Remove-AzApplicationGatewayProbeConfig', 
               'Remove-AzApplicationGatewayRedirectConfiguration', 
               'Remove-AzApplicationGatewayRequestRoutingRule', 
               'Remove-AzApplicationGatewayRewriteRuleSet', 
               'Remove-AzApplicationGatewayRoutingRule', 
               'Remove-AzApplicationGatewaySslCertificate', 
               'Remove-AzApplicationGatewaySslPolicy', 
               'Remove-AzApplicationGatewaySslProfile', 
               'Remove-AzApplicationGatewaySslProfilePolicy', 
               'Remove-AzApplicationGatewayTrustedClientCertificate', 
               'Remove-AzApplicationGatewayTrustedRootCertificate', 
               'Remove-AzApplicationGatewayUrlPathMapConfig', 
               'Remove-AzApplicationSecurityGroup', 'Remove-AzBastion', 
               'Remove-AzCustomIpPrefix', 'Remove-AzDdosProtectionPlan', 
               'Remove-AzDelegation', 'Remove-AzExpressRouteCircuit', 
               'Remove-AzExpressRouteCircuitAuthorization', 
               'Remove-AzExpressRouteCircuitConnectionConfig', 
               'Remove-AzExpressRouteCircuitPeeringConfig', 
               'Remove-AzExpressRouteConnection', 
               'Remove-AzExpressRouteCrossConnectionPeering', 
               'Remove-AzExpressRouteGateway', 'Remove-AzExpressRoutePort', 
               'Remove-AzExpressRoutePortAuthorization', 
               'Remove-AzExpressRoutePortIdentity', 'Remove-AzFirewall', 
               'Remove-AzFirewallPolicy', 
               'Remove-AzFirewallPolicyRuleCollectionGroup', 
               'Remove-AzIpAllocation', 'Remove-AzIpGroup', 'Remove-AzLoadBalancer', 
               'Remove-AzLoadBalancerBackendAddressPool', 
               'Remove-AzLoadBalancerBackendAddressPoolConfig', 
               'Remove-AzLoadBalancerFrontendIpConfig', 
               'Remove-AzLoadBalancerInboundNatPoolConfig', 
               'Remove-AzLoadBalancerInboundNatRuleConfig', 
               'Remove-AzLoadBalancerOutboundRuleConfig', 
               'Remove-AzLoadBalancerProbeConfig', 
               'Remove-AzLoadBalancerRuleConfig', 'Remove-AzLocalNetworkGateway', 
               'Remove-AzNatGateway', 'Remove-AzNetworkInterface', 
               'Remove-AzNetworkInterfaceIpConfig', 
               'Remove-AzNetworkInterfaceTapConfig', 'Remove-AzNetworkManager', 
               'Remove-AzNetworkManagerConnectivityConfiguration', 
               'Remove-AzNetworkManagerGroup', 
               'Remove-AzNetworkManagerManagementGroupConnection', 
               'Remove-AzNetworkManagerScopeConnection', 
               'Remove-AzNetworkManagerSecurityAdminConfiguration', 
               'Remove-AzNetworkManagerSecurityAdminRule', 
               'Remove-AzNetworkManagerSecurityAdminRuleCollection', 
               'Remove-AzNetworkManagerStaticMember', 
               'Remove-AzNetworkManagerSubscriptionConnection', 
               'Remove-AzNetworkProfile', 'Remove-AzNetworkSecurityGroup', 
               'Remove-AzNetworkSecurityRuleConfig', 
               'Remove-AzNetworkVirtualAppliance', 'Remove-AzNetworkWatcher', 
               'Remove-AzNetworkWatcherConnectionMonitor', 
               'Remove-AzNetworkWatcherFlowLog', 
               'Remove-AzNetworkWatcherPacketCapture', 'Remove-AzP2sVpnGateway', 
               'Remove-AzPrivateDnsZoneGroup', 'Remove-AzPrivateEndpoint', 
               'Remove-AzPrivateEndpointConnection', 'Remove-AzPrivateLinkService', 
               'Remove-AzPublicIpAddress', 'Remove-AzPublicIpPrefix', 
               'Remove-AzRouteConfig', 'Remove-AzRouteFilter', 
               'Remove-AzRouteFilterRuleConfig', 'Remove-AzRouteMap', 
               'Remove-AzRouteServer', 'Remove-AzRouteServerPeer', 
               'Remove-AzRouteTable', 'Remove-AzRoutingIntent', 
               'Remove-AzRoutingPolicy', 'Remove-AzSecurityPartnerProvider', 
               'Remove-AzServiceEndpointPolicy', 
               'Remove-AzServiceEndpointPolicyDefinition', 
               'Remove-AzVHubRouteTable', 'Remove-AzVirtualApplianceSite', 
               'Remove-AzVirtualHub', 'Remove-AzVirtualHubBgpConnection', 
               'Remove-AzVirtualHubRouteTable', 
               'Remove-AzVirtualHubVnetConnection', 'Remove-AzVirtualNetwork', 
               'Remove-AzVirtualNetworkGateway', 
               'Remove-AzVirtualNetworkGatewayConnection', 
               'Remove-AzVirtualNetworkGatewayDefaultSite', 
               'Remove-AzVirtualNetworkGatewayIpConfig', 
               'Remove-AzVirtualNetworkGatewayNatRule', 
               'Remove-AzVirtualNetworkPeering', 
               'Remove-AzVirtualNetworkSubnetConfig', 'Remove-AzVirtualNetworkTap', 
               'Remove-AzVirtualRouter', 'Remove-AzVirtualRouterPeer', 
               'Remove-AzVirtualWan', 'Remove-AzVpnClientIpsecParameter', 
               'Remove-AzVpnClientRevokedCertificate', 
               'Remove-AzVpnClientRootCertificate', 'Remove-AzVpnConnection', 
               'Remove-AzVpnGateway', 'Remove-AzVpnGatewayNatRule', 
               'Remove-AzVpnServerConfiguration', 
               'Remove-AzVpnServerConfigurationPolicyGroup', 'Remove-AzVpnSite', 
               'Reset-AzHubRouter', 'Reset-AzP2sVpnGateway', 
               'Reset-AzVirtualNetworkGateway', 
               'Reset-AzVirtualNetworkGatewayConnection', 
               'Reset-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Reset-AzVpnGateway', 'Reset-AzVpnSiteLinkConnection', 
               'Resize-AzVirtualNetworkGateway', 'Set-AzApplicationGateway', 
               'Set-AzApplicationGatewayAuthenticationCertificate', 
               'Set-AzApplicationGatewayAutoscaleConfiguration', 
               'Set-AzApplicationGatewayBackendAddressPool', 
               'Set-AzApplicationGatewayBackendHttpSetting', 
               'Set-AzApplicationGatewayBackendSetting', 
               'Set-AzApplicationGatewayClientAuthConfiguration', 
               'Set-AzApplicationGatewayConnectionDraining', 
               'Set-AzApplicationGatewayCustomError', 
               'Set-AzApplicationGatewayFirewallPolicy', 
               'Set-AzApplicationGatewayFrontendIPConfig', 
               'Set-AzApplicationGatewayFrontendPort', 
               'Set-AzApplicationGatewayHttpListener', 
               'Set-AzApplicationGatewayHttpListenerCustomError', 
               'Set-AzApplicationGatewayIdentity', 
               'Set-AzApplicationGatewayIPConfiguration', 
               'Set-AzApplicationGatewayListener', 
               'Set-AzApplicationGatewayPrivateLinkConfiguration', 
               'Set-AzApplicationGatewayProbeConfig', 
               'Set-AzApplicationGatewayRedirectConfiguration', 
               'Set-AzApplicationGatewayRequestRoutingRule', 
               'Set-AzApplicationGatewayRewriteRuleSet', 
               'Set-AzApplicationGatewayRoutingRule', 
               'Set-AzApplicationGatewaySku', 
               'Set-AzApplicationGatewaySslCertificate', 
               'Set-AzApplicationGatewaySslPolicy', 
               'Set-AzApplicationGatewaySslProfile', 
               'Set-AzApplicationGatewaySslProfilePolicy', 
               'Set-AzApplicationGatewayTrustedClientCertificate', 
               'Set-AzApplicationGatewayTrustedRootCertificate', 
               'Set-AzApplicationGatewayUrlPathMapConfig', 
               'Set-AzApplicationGatewayWebApplicationFirewallConfiguration', 
               'Set-AzBastion', 'Set-AzExpressRouteCircuit', 
               'Set-AzExpressRouteCircuitConnectionConfig', 
               'Set-AzExpressRouteCircuitPeeringConfig', 
               'Set-AzExpressRouteConnection', 'Set-AzExpressRouteCrossConnection', 
               'Set-AzExpressRouteGateway', 'Set-AzExpressRoutePort', 
               'Set-AzExpressRoutePortIdentity', 'Set-AzFirewall', 
               'Set-AzFirewallPolicy', 'Set-AzFirewallPolicyRuleCollectionGroup', 
               'Set-AzIpAllocation', 'Set-AzIpGroup', 'Set-AzLoadBalancer', 
               'Set-AzLoadBalancerBackendAddressPool', 
               'Set-AzLoadBalancerFrontendIpConfig', 
               'Set-AzLoadBalancerInboundNatPoolConfig', 
               'Set-AzLoadBalancerInboundNatRuleConfig', 
               'Set-AzLoadBalancerOutboundRuleConfig', 
               'Set-AzLoadBalancerProbeConfig', 'Set-AzLoadBalancerRuleConfig', 
               'Set-AzLocalNetworkGateway', 'Set-AzNatGateway', 
               'Set-AzNetworkInterface', 'Set-AzNetworkInterfaceIpConfig', 
               'Set-AzNetworkInterfaceTapConfig', 'Set-AzNetworkManager', 
               'Set-AzNetworkManagerConnectivityConfiguration', 
               'Set-AzNetworkManagerGroup', 
               'Set-AzNetworkManagerManagementGroupConnection', 
               'Set-AzNetworkManagerScopeConnection', 
               'Set-AzNetworkManagerSecurityAdminConfiguration', 
               'Set-AzNetworkManagerSecurityAdminRule', 
               'Set-AzNetworkManagerSecurityAdminRuleCollection', 
               'Set-AzNetworkManagerSubscriptionConnection', 
               'Set-AzNetworkProfile', 'Set-AzNetworkSecurityGroup', 
               'Set-AzNetworkSecurityRuleConfig', 
               'Set-AzNetworkWatcherConfigFlowLog', 
               'Set-AzNetworkWatcherConnectionMonitor', 
               'Set-AzNetworkWatcherFlowLog', 'Set-AzPrivateDnsZoneGroup', 
               'Set-AzPrivateEndpoint', 'Set-AzPrivateEndpointConnection', 
               'Set-AzPrivateLinkService', 'Set-AzPublicIpAddress', 
               'Set-AzPublicIpPrefix', 'Set-AzRouteConfig', 'Set-AzRouteFilter', 
               'Set-AzRouteFilterRuleConfig', 'Set-AzRouteTable', 
               'Set-AzRoutingIntent', 'Set-AzRoutingPolicy', 
               'Set-AzSecurityPartnerProvider', 'Set-AzServiceEndpointPolicy', 
               'Set-AzServiceEndpointPolicyDefinition', 'Set-AzVirtualHub', 
               'Set-AzVirtualNetwork', 'Set-AzVirtualNetworkGateway', 
               'Set-AzVirtualNetworkGatewayConnection', 
               'Set-AzVirtualNetworkGatewayConnectionSharedKey', 
               'Set-AzVirtualNetworkGatewayDefaultSite', 
               'Set-AzVirtualNetworkPeering', 'Set-AzVirtualNetworkSubnetConfig', 
               'Set-AzVirtualNetworkTap', 'Set-AzVpnClientIpsecParameter', 
               'Start-AzApplicationGateway', 
               'Start-AzNetworkWatcherConnectionMonitor', 
               'Start-AzNetworkWatcherResourceTroubleshooting', 
               'Start-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Start-AzVirtualnetworkGatewayPacketCapture', 
               'Start-AzVpnConnectionPacketCapture', 
               'Start-AzVpnGatewayPacketCapture', 'Stop-AzApplicationGateway', 
               'Stop-AzNetworkWatcherConnectionMonitor', 
               'Stop-AzNetworkWatcherPacketCapture', 
               'Stop-AzVirtualNetworkGatewayConnectionPacketCapture', 
               'Stop-AzVirtualNetworkGatewayPacketCapture', 
               'Stop-AzVpnConnectionPacketCapture', 
               'Stop-AzVpnGatewayPacketCapture', 'Sync-AzVirtualNetworkPeering', 
               'Test-AzDnsAvailability', 'Test-AzNetworkWatcherConnectivity', 
               'Test-AzNetworkWatcherIPFlow', 
               'Test-AzPrivateIPAddressAvailability', 
               'Test-AzPrivateLinkServiceVisibility', 'Update-AzCustomIpPrefix', 
               'Update-AzNetworkVirtualApplianceConnection', 
               'New-AzVirtualApplianceInternetIngressIpsProperty', 
               'New-AzFirewallPacketCaptureRule', 
               'New-AzFirewallPacketCaptureParameter', 
               'Invoke-AzFirewallPacketCapture', 
               'Update-AzNetworkVirtualAppliance', 'Update-AzP2sVpnGateway', 
               'Update-AzRouteMap', 'Update-AzRouteServer', 
               'Update-AzRouteServerPeer', 'Update-AzVHubRouteTable', 
               'Update-AzVirtualApplianceSite', 'Update-AzVirtualHub', 
               'Update-AzVirtualHubBgpConnection', 
               'Update-AzVirtualHubVnetConnection', 
               'Update-AzVirtualNetworkGatewayNatRule', 'Update-AzVirtualRouter', 
               'Update-AzVirtualRouterPeer', 'Update-AzVirtualWan', 
               'Update-AzVpnConnection', 'Update-AzVpnGateway', 
               'Update-AzVpnGatewayNatRule', 'Update-AzVpnServerConfiguration', 
               'Update-AzVpnServerConfigurationPolicyGroup', 'Update-AzVpnSite'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Add-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzApplicationGatewayAvailableSslOptions', 
               'Get-AzApplicationGatewayAvailableWafRuleSets', 
               'Get-AzApplicationGatewayBackendHttpSettings', 
               'Get-AzExpressRouteCircuitStats', 'Get-AzInterfaceEndpoint', 
               'List-AzApplicationGatewayAvailableServerVariableAndHeader', 
               'List-AzApplicationGatewayAvailableSslOptions', 
               'List-AzApplicationGatewayAvailableWafRuleSets', 
               'List-AzApplicationGatewaySslPredefinedPolicy', 
               'New-AzApplicationGatewayBackendHttpSettings', 
               'New-AzFirewallThreatIntelWhitelistObject', 
               'Remove-AzApplicationGatewayBackendHttpSettings', 
               'Set-AzApplicationGatewayBackendHttpSettings'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Network','VirtualNetwork'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Fixed a few minor issues
* Updated ''New-AzApplicationGateway'' to include ''EnableRequestBuffering'' and ''EnableResponseBuffering'' parameters
* Changed the Default Rule Set from CRS3.0 to DRS2.1 in ''NewAzureApplicationGatewayFirewallPolicy''
* Added optional property ''Profile'' to ''New-AzFirewallPolicyIntrusionDetection'' 
* Added new cmdlet to update Connection child resource of Network Virtual Appliance. - ''Update-AzNetworkVirtualApplianceConnection''
* Added support of ''InternetIngressIp'' Property in New-AzNetworkVirtualAppliance
* Added the new cmdlet for supporting ''InternetIngressIp'' Property with Network Virtual Appliances -''New-AzVirtualApplianceInternetIngressIpsProperty''
* Added a new AuxiliaryMode value ''AuxiliaryMode.Floating''
* Added support for AzureFirewallPacketCapture'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIInwQYJKoZIhvcNAQcCoIInsjCCJ64CAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCBw2JnBe962eTjP
# BcMZHG0jIv7qzl69qtcvmHTbAik2z6CCDXYwggX0MIID3KADAgECAhMzAAADrzBA
# DkyjTQVBAAAAAAOvMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwOTAwWhcNMjQxMTE0MTkwOTAwWjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDOS8s1ra6f0YGtg0OhEaQa/t3Q+q1MEHhWJhqQVuO5amYXQpy8MDPNoJYk+FWA
# hePP5LxwcSge5aen+f5Q6WNPd6EDxGzotvVpNi5ve0H97S3F7C/axDfKxyNh21MG
# 0W8Sb0vxi/vorcLHOL9i+t2D6yvvDzLlEefUCbQV/zGCBjXGlYJcUj6RAzXyeNAN
# xSpKXAGd7Fh+ocGHPPphcD9LQTOJgG7Y7aYztHqBLJiQQ4eAgZNU4ac6+8LnEGAL
# go1ydC5BJEuJQjYKbNTy959HrKSu7LO3Ws0w8jw6pYdC1IMpdTkk2puTgY2PDNzB
# tLM4evG7FYer3WX+8t1UMYNTAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQURxxxNPIEPGSO8kqz+bgCAQWGXsEw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMTgyNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAISxFt/zR2frTFPB45Yd
# mhZpB2nNJoOoi+qlgcTlnO4QwlYN1w/vYwbDy/oFJolD5r6FMJd0RGcgEM8q9TgQ
# 2OC7gQEmhweVJ7yuKJlQBH7P7Pg5RiqgV3cSonJ+OM4kFHbP3gPLiyzssSQdRuPY
# 1mIWoGg9i7Y4ZC8ST7WhpSyc0pns2XsUe1XsIjaUcGu7zd7gg97eCUiLRdVklPmp
# XobH9CEAWakRUGNICYN2AgjhRTC4j3KJfqMkU04R6Toyh4/Toswm1uoDcGr5laYn
# TfcX3u5WnJqJLhuPe8Uj9kGAOcyo0O1mNwDa+LhFEzB6CB32+wfJMumfr6degvLT
# e8x55urQLeTjimBQgS49BSUkhFN7ois3cZyNpnrMca5AZaC7pLI72vuqSsSlLalG
# OcZmPHZGYJqZ0BacN274OZ80Q8B11iNokns9Od348bMb5Z4fihxaBWebl8kWEi2O
# PvQImOAeq3nt7UWJBzJYLAGEpfasaA3ZQgIcEXdD+uwo6ymMzDY6UamFOfYqYWXk
# ntxDGu7ngD2ugKUuccYKJJRiiz+LAUcj90BVcSHRLQop9N8zoALr/1sJuwPrVAtx
# HNEgSW+AKBqIxYWM4Ev32l6agSUAezLMbq5f3d8x9qzT031jMDT+sUAoCw0M5wVt
# CUQcqINPuYjbS1WgJyZIiEkBMIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGaEwghmdAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAAOvMEAOTKNNBUEAAAAAA68wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEII6Jt+rtCsWomfLSZ/VxHHhD
# U4YHOcQh7behlIS7ECokMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEArFIpZkwm3DnP7wRWiPv/CiFHeWAIZfRnInIKzM1DearTO4k6Dx22skEl
# 37YGaisc0w+031hJlQFfUG2oFCjCucNCekFpcczKUUJ+G5SAyOzPNn5hK2+giSO8
# eo1aT5aOXmdx9EoaaaFOOFdRjAjvWwaomf/NTU1PDtGmLyG7Y6QadEvId7bRvrv4
# 0lASDUX+uAgZ9GUDFyui3l2u+d14jFAEXgLHKl8vJjvXdJOTQbtJFqXRFBapDxGt
# BTYOafXyDlm7ToocVhtTqBmi0Mcmhn5C/doP39c9v+Sa7DgG9YAaXrQnRwY6d9lD
# aLTi05MzFzPPjDP4BGwI24tXLV9yDqGCFyswghcnBgorBgEEAYI3AwMBMYIXFzCC
# FxMGCSqGSIb3DQEHAqCCFwQwghcAAgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFZBgsq
# hkiG9w0BCRABBKCCAUgEggFEMIIBQAIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCApZ0vB/rc8MX2sItSRB5b37CIaDZoSWgctWEp/Zvoi/QIGZa7XNFXZ
# GBMyMDI0MDEzMDA1NDA1MS4xMTJaMASAAgH0oIHYpIHVMIHSMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMS0wKwYDVQQLEyRNaWNyb3NvZnQgSXJl
# bGFuZCBPcGVyYXRpb25zIExpbWl0ZWQxJjAkBgNVBAsTHVRoYWxlcyBUU1MgRVNO
# OkZDNDEtNEJENC1EMjIwMSUwIwYDVQQDExxNaWNyb3NvZnQgVGltZS1TdGFtcCBT
# ZXJ2aWNloIIRejCCBycwggUPoAMCAQICEzMAAAHimZmV8dzjIOsAAQAAAeIwDQYJ
# KoZIhvcNAQELBQAwfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTAwHhcNMjMx
# MDEyMTkwNzI1WhcNMjUwMTEwMTkwNzI1WjCB0jELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxhbmQgT3Bl
# cmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjpGQzQxLTRC
# RDQtRDIyMDElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBALVjtZhV+kFmb8cKQpg2mzis
# DlRI978Gb2amGvbAmCd04JVGeTe/QGzM8KbQrMDol7DC7jS03JkcrPsWi9WpVwsI
# ckRQ8AkX1idBG9HhyCspAavfuvz55khl7brPQx7H99UJbsE3wMmpmJasPWpgF05z
# ZlvpWQDULDcIYyl5lXI4HVZ5N6MSxWO8zwWr4r9xkMmUXs7ICxDJr5a39SSePAJR
# IyznaIc0WzZ6MFcTRzLLNyPBE4KrVv1LFd96FNxAzwnetSePg88EmRezr2T3HTFE
# lneJXyQYd6YQ7eCIc7yllWoY03CEg9ghorp9qUKcBUfFcS4XElf3GSERnlzJsK7s
# /ZGPU4daHT2jWGoYha2QCOmkgjOmBFCqQFFwFmsPrZj4eQszYxq4c4HqPnUu4hT4
# aqpvUZ3qIOXbdyU42pNL93cn0rPTTleOUsOQbgvlRdthFCBepxfb6nbsp3fcZaPB
# fTbtXVa8nLQuMCBqyfsebuqnbwj+lHQfqKpivpyd7KCWACoj78XUwYqy1HyYnStT
# me4T9vK6u2O/KThfROeJHiSg44ymFj+34IcFEhPogaKvNNsTVm4QbqphCyknrwBy
# qorBCLH6bllRtJMJwmu7GRdTQsIx2HMKqphEtpSm1z3ufASdPrgPhsQIRFkHZGui
# hL1Jjj4Lu3CbAmha0lOrAgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQURIQOEdq+7Qds
# lptJiCRNpXgJ2gUwHwYDVR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYD
# VR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9j
# cmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwG
# CCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIw
# MjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcD
# CDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQADggIBAORURDGrVRTbnulf
# sg2cTsyyh7YXvhVU7NZMkITAQYsFEPVgvSviCylr5ap3ka76Yz0t/6lxuczI6w7t
# Xq8n4WxUUgcj5wAhnNorhnD8ljYqbck37fggYK3+wEwLhP1PGC5tvXK0xYomU1nU
# +lXOy9ZRnShI/HZdFrw2srgtsbWow9OMuADS5lg7okrXa2daCOGnxuaD1IO+65E7
# qv2O0W0sGj7AWdOjNdpexPrspL2KEcOMeJVmkk/O0ganhFzzHAnWjtNWneU11WQ6
# Bxv8OpN1fY9wzQoiycgvOOJM93od55EGeXxfF8bofLVlUE3zIikoSed+8s61NDP+
# x9RMya2mwK/Ys1xdvDlZTHndIKssfmu3vu/a+BFf2uIoycVTvBQpv/drRJD68eo4
# 01mkCRFkmy/+BmQlRrx2rapqAu5k0Nev+iUdBUKmX/iOaKZ75vuQg7hCiBA5xIm5
# ZIXDSlX47wwFar3/BgTwntMq9ra6QRAeS/o/uYWkmvqvE8Aq38QmKgTiBnWSS/uV
# PcaHEyArnyFh5G+qeCGmL44MfEnFEhxc3saPmXhe6MhSgCIGJUZDA7336nQD8fn4
# y6534Lel+LuT5F5bFt0mLwd+H5GxGzObZmm/c3pEWtHv1ug7dS/Dfrcd1sn2E4gk
# 4W1L1jdRBbK9xwkMmwY+CHZeMSvBMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJ
# mQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgT
# Cldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29m
# dCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1
# WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjK
# NVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhg
# fWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJp
# rx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/d
# vI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka9
# 7aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKR
# Hh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9itu
# qBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyO
# ArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItb
# oKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6
# bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6t
# AgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQW
# BBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacb
# UzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYz
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnku
# aHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIA
# QwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2
# VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwu
# bWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEw
# LTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93
# d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYt
# MjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/q
# XBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6
# U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVt
# I1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis
# 9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTp
# kbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0
# sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138e
# W0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJ
# sWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7
# Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0
# dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQ
# tB1VM1izoXBm8qGCAtYwggI/AgEBMIIBAKGB2KSB1TCB0jELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxh
# bmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjpG
# QzQxLTRCRDQtRDIyMDElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2Vy
# dmljZaIjCgEBMAcGBSsOAwIaAxUAFpuZafp0bnpJdIhfiB1d8pTohm+ggYMwgYCk
# fjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDANBgkqhkiG9w0BAQUFAAIF
# AOlij/4wIhgPMjAyNDAxMzAwNDU4MzhaGA8yMDI0MDEzMTA0NTgzOFowdjA8Bgor
# BgEEAYRZCgQBMS4wLDAKAgUA6WKP/gIBADAJAgEAAgFxAgH/MAcCAQACAhFFMAoC
# BQDpY+F+AgEAMDYGCisGAQQBhFkKBAIxKDAmMAwGCisGAQQBhFkKAwKgCjAIAgEA
# AgMHoSChCjAIAgEAAgMBhqAwDQYJKoZIhvcNAQEFBQADgYEAwXK5ysPO/ENvxjbG
# eJSx6cTOmUU1xyd7TLcEKhe60Qtu1i7Dti1qo3z+IoKv5XShKj/Hbmcwfd68Pnal
# zGDFRaceUWHbB+GezKq9i8Z3VKqLy5mOErDm54HlNuISOkEFvHehwvtvWcpmHbmg
# EwmkZ+mWT53hCnHA8ggsek/CfqoxggQNMIIECQIBATCBkzB8MQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQDEx1NaWNyb3NvZnQgVGlt
# ZS1TdGFtcCBQQ0EgMjAxMAITMwAAAeKZmZXx3OMg6wABAAAB4jANBglghkgBZQME
# AgEFAKCCAUowGgYJKoZIhvcNAQkDMQ0GCyqGSIb3DQEJEAEEMC8GCSqGSIb3DQEJ
# BDEiBCBj0aDnCvsbv+6a2khpcH71x2KoCBfbgo93XBrH+qhXODCB+gYLKoZIhvcN
# AQkQAi8xgeowgecwgeQwgb0EICuJKkoQ/Sa4xsFQRM4Ogvh3ktToj9uO5whmQ4kI
# j3//MIGYMIGApH4wfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTACEzMAAAHi
# mZmV8dzjIOsAAQAAAeIwIgQgUIv38xy3mgTiG4skuSQuIQjRQ5OhbSRaEkCF2AFV
# QPYwDQYJKoZIhvcNAQELBQAEggIAr47SrH1qSuFbMWDWk+SeQWWTopInuBvLGn5y
# jrCP9Q1p2WMzFIx6+G8yLByA5h+qjdiHlP3WHROYVogX6vuyDAXWruSLB8OpEteF
# jC+yoLRUpKIjzyyrGXYQdHSbQm35l3HvWVrumd5SttaNN4KAOeL6Cu0RNLw6fBAh
# 0ya05N8UQjsFQEf9E6ZPGD2fjp+u7Mix0qHxTi4lWkD35BATMODV5jd9mLjd3Cvn
# U9m1Wy7GcNZJQqoK4CFoeksasYs3XM8KFxTXpyRNtIPRwTmLYtmnAmqaZK8o1w7b
# 8xwxO33pf0CMMhHPcXaEVjpmKfBlYp73zaZyiA/L8/I0OzFUt2V3t/7UcXdZmiQK
# ALBRqfPyB8QehtggbGdjLwyJujjkDBfcCorYHHhqViSXJo+rVYfIoFu1LnoOM/fS
# SJTSWTN6J0ECA4Lnddv7GqvzMpqcCeFOPD+vxO3i0bdOXV9/Gj5/7zYDQRngRtDk
# HvYnvDTy91wcTokCudtc0zf4kL0h6baf3ZGYjkJOsk4o9x111SOpO1GnJndQn28A
# YcTMroXbwZYekyiXesU1oU+KtRlBoEJtAojgKTjgHMJJ4zuR0hxWKMhAHao2jitQ
# YqBY3ioZ3YRVB8K+Q9e1dZOV8z1R6dYc1SjBivjac0nX86zflOXyoBpxJihjrmP5
# Pgdx0DM=
# SIG # End signature block
