#
# Module manifest for module 'Az.Sql'
#
# Generated by: Microsoft Corporation
#
# Generated on: 1/30/2024
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.Sql.psm1'

# Version number of this module.
ModuleVersion = '4.14.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'f088f4ab-1b59-4836-a6e0-4e14d15800c6'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - SQL service cmdlets for Azure Resource Manager in Windows PowerShell and PowerShell Core.

For more information on SQL, please visit the following: https://learn.microsoft.com/azure/sql-database/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
RequiredAssemblies = 'Microsoft.Azure.PowerShell.Cmdlets.Sql.LegacySdk.dll', 
               'Microsoft.Azure.PowerShell.Sql.Management.Sdk.dll'

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
TypesToProcess = 'Sql.types.ps1xml'

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'Sql.format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = 'Add-AzSqlDatabaseToFailoverGroup', 'Add-AzSqlElasticJobStep', 
               'Add-AzSqlElasticJobTarget', 'Add-AzSqlInstanceKeyVaultKey', 
               'Add-AzSqlManagedInstanceTransparentDataEncryptionCertificate', 
               'Add-AzSqlServerKeyVaultKey', 
               'Add-AzSqlServerTransparentDataEncryptionCertificate', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Clear-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Clear-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Clear-AzSqlServerVulnerabilityAssessmentSetting', 
               'Complete-AzSqlInstanceDatabaseCopy', 
               'Complete-AzSqlInstanceDatabaseLogReplay', 
               'Complete-AzSqlInstanceDatabaseMove', 
               'Convert-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Convert-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Copy-AzSqlDatabaseLongTermRetentionBackup', 
               'Copy-AzSqlInstanceDatabase', 
               'Disable-AzSqlDatabaseLedgerDigestUpload', 
               'Disable-AzSqlDatabaseSensitivityRecommendation', 
               'Disable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Disable-AzSqlInstanceAdvancedDataSecurity', 
               'Disable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Disable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Disable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Disable-AzSqlServerAdvancedDataSecurity', 
               'Enable-AzSqlDatabaseLedgerDigestUpload', 
               'Enable-AzSqlDatabaseSensitivityRecommendation', 
               'Enable-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlInstanceAdvancedDataSecurity', 
               'Enable-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Enable-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Enable-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Enable-AzSqlServerAdvancedDataSecurity', 'Get-AzSqlCapability', 
               'Get-AzSqlDatabase', 'Get-AzSqlDatabaseActivity', 
               'Get-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlDatabaseAdvisor', 'Get-AzSqlDatabaseAudit', 
               'Get-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlDatabaseDataMaskingPolicy', 
               'Get-AzSqlDatabaseDataMaskingRule', 'Get-AzSqlDatabaseExpanded', 
               'Get-AzSqlDatabaseFailoverGroup', 'Get-AzSqlDatabaseGeoBackup', 
               'Get-AzSqlDatabaseGeoBackupPolicy', 
               'Get-AzSqlDatabaseImportExportStatus', 
               'Get-AzSqlDatabaseIndexRecommendation', 
               'Get-AzSqlDatabaseInstanceFailoverGroup', 
               'Get-AzSqlDatabaseLedgerDigestUpload', 
               'Get-AzSqlDatabaseLongTermRetentionBackup', 
               'Get-AzSqlDatabaseRecommendedAction', 
               'Get-AzSqlDatabaseReplicationLink', 'Get-AzSqlDatabaseRestorePoint', 
               'Get-AzSqlDatabaseSensitivityClassification', 
               'Get-AzSqlDatabaseSensitivityRecommendation', 
               'Get-AzSqlDatabaseTransparentDataEncryption', 
               'Get-AzSqlDatabaseUpgradeHint', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentScanRecord', 
               'Get-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlDeletedDatabaseBackup', 
               'Get-AzSqlDeletedInstanceDatabaseBackup', 'Get-AzSqlElasticJob', 
               'Get-AzSqlElasticJobAgent', 'Get-AzSqlElasticJobCredential', 
               'Get-AzSqlElasticJobExecution', 
               'Get-AzSqlElasticJobPrivateEndpoint', 'Get-AzSqlElasticJobStep', 
               'Get-AzSqlElasticJobStepExecution', 
               'Get-AzSqlElasticJobTargetExecution', 
               'Get-AzSqlElasticJobTargetGroup', 'Get-AzSqlElasticPool', 
               'Get-AzSqlElasticPoolActivity', 'Get-AzSqlElasticPoolAdvisor', 
               'Get-AzSqlElasticPoolDatabase', 
               'Get-AzSqlElasticPoolRecommendation', 
               'Get-AzSqlElasticPoolRecommendedAction', 'Get-AzSqlInstance', 
               'Get-AzSqlInstanceActiveDirectoryAdministrator', 
               'Get-AzSqlInstanceActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlInstanceAdvancedDataSecurityPolicy', 
               'Get-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabase', 
               'Get-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Get-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Get-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Get-AzSqlInstanceDatabaseCopyOperation', 
               'Get-AzSqlInstanceDatabaseGeoBackup', 
               'Get-AzSqlInstanceDatabaseLedgerDigestUpload', 
               'Get-AzSqlInstanceDatabaseLogReplay', 
               'Get-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Get-AzSqlInstanceDatabaseMoveOperation', 
               'Get-AzSqlInstanceDatabaseSensitivityClassification', 
               'Get-AzSqlInstanceDatabaseSensitivityRecommendation', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentScanRecord', 
               'Get-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Get-AzSqlInstanceDtc', 'Get-AzSqlInstanceEndpointCertificate', 
               'Get-AzSqlInstanceKeyVaultKey', 'Get-AzSqlInstanceLink', 
               'Get-AzSqlInstanceOperation', 'Get-AzSqlInstancePool', 
               'Get-AzSqlInstancePoolUsage', 
               'Get-AzSqlInstanceServerTrustCertificate', 
               'Get-AzSqlInstanceStartStopSchedule', 
               'Get-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Get-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Get-AzSqlServer', 'Get-AzSqlServerActiveDirectoryAdministrator', 
               'Get-AzSqlServerActiveDirectoryOnlyAuthentication', 
               'Get-AzSqlServerAdvancedDataSecurityPolicy', 
               'Get-AzSqlServerAdvancedThreatProtectionSetting', 
               'Get-AzSqlServerAdvisor', 'Get-AzSqlServerAudit', 
               'Get-AzSqlServerCommunicationLink', 
               'Get-AzSqlServerConfigurationOption', 
               'Get-AzSqlServerDisasterRecoveryConfiguration', 
               'Get-AzSqlServerDisasterRecoveryConfigurationActivity', 
               'Get-AzSqlServerDnsAlias', 'Get-AzSqlServerFirewallRule', 
               'Get-AzSqlServerIpv6FirewallRule', 'Get-AzSqlServerKeyVaultKey', 
               'Get-AzSqlServerMSSupportAudit', 
               'Get-AzSqlServerOutboundFirewallRule', 
               'Get-AzSqlServerRecommendedAction', 
               'Get-AzSqlServerServiceObjective', 
               'Get-AzSqlServerTransparentDataEncryptionProtector', 
               'Get-AzSqlServerTrustGroup', 'Get-AzSqlServerUpgradeHint', 
               'Get-AzSqlServerVirtualNetworkRule', 
               'Get-AzSqlServerVulnerabilityAssessmentSetting', 
               'Get-AzSqlSyncAgent', 'Get-AzSqlSyncAgentLinkedDatabase', 
               'Get-AzSqlSyncGroup', 'Get-AzSqlSyncGroupLog', 'Get-AzSqlSyncMember', 
               'Get-AzSqlSyncSchema', 'Get-AzSqlVirtualCluster', 
               'Invoke-AzSqlDatabaseFailover', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlDatabaseTransparentDataEncryptionProtectorRevert', 
               'Invoke-AzSqlElasticPoolFailover', 'Invoke-AzSqlInstanceFailover', 
               'Invoke-AzSqlInstanceExternalGovernanceStatusRefresh', 
               'Invoke-AzSqlInstanceTransparentDataEncryptionProtectorRevalidation', 
               'Invoke-AzSqlServerExternalGovernanceStatusRefresh', 
               'Invoke-AzSqlServerTransparentDataEncryptionProtectorRevalidation', 
               'Move-AzSqlInstanceDatabase', 'New-AzSqlDatabase', 
               'New-AzSqlDatabaseCopy', 'New-AzSqlDatabaseDataMaskingRule', 
               'New-AzSqlDatabaseExport', 'New-AzSqlDatabaseFailoverGroup', 
               'New-AzSqlDatabaseImport', 'New-AzSqlDatabaseInstanceFailoverGroup', 
               'New-AzSqlDatabaseRestorePoint', 'New-AzSqlDatabaseSecondary', 
               'New-AzSqlElasticJob', 'New-AzSqlElasticJobAgent', 
               'New-AzSqlElasticJobCredential', 
               'New-AzSqlElasticJobPrivateEndpoint', 
               'New-AzSqlElasticJobTargetGroup', 'New-AzSqlElasticPool', 
               'New-AzSqlInstance', 'New-AzSqlInstanceDatabase', 
               'New-AzSqlInstanceLink', 'New-AzSqlInstancePool', 
               'New-AzSqlInstanceScheduleItem', 
               'New-AzSqlInstanceServerTrustCertificate', 
               'New-AzSqlInstanceStartStopSchedule', 'New-AzSqlServer', 
               'New-AzSqlServerCommunicationLink', 
               'New-AzSqlServerDisasterRecoveryConfiguration', 
               'New-AzSqlServerDnsAlias', 'New-AzSqlServerFirewallRule', 
               'New-AzSqlServerIpv6FirewallRule', 
               'New-AzSqlServerOutboundFirewallRule', 'New-AzSqlServerTrustGroup', 
               'New-AzSqlServerVirtualNetworkRule', 'New-AzSqlSyncAgent', 
               'New-AzSqlSyncAgentKey', 'New-AzSqlSyncGroup', 'New-AzSqlSyncMember', 
               'Remove-AzSqlDatabase', 'Remove-AzSqlDatabaseAudit', 
               'Remove-AzSqlDatabaseDataMaskingRule', 
               'Remove-AzSqlDatabaseFailoverGroup', 
               'Remove-AzSqlDatabaseFromFailoverGroup', 
               'Remove-AzSqlDatabaseInstanceFailoverGroup', 
               'Remove-AzSqlDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlDatabaseRestorePoint', 'Remove-AzSqlDatabaseSecondary', 
               'Remove-AzSqlDatabaseSensitivityClassification', 
               'Remove-AzSqlElasticJob', 'Remove-AzSqlElasticJobAgent', 
               'Remove-AzSqlElasticJobCredential', 
               'Remove-AzSqlElasticJobPrivateEndpoint', 
               'Remove-AzSqlElasticJobStep', 'Remove-AzSqlElasticJobTarget', 
               'Remove-AzSqlElasticJobTargetGroup', 'Remove-AzSqlElasticPool', 
               'Remove-AzSqlInstance', 
               'Remove-AzSqlInstanceActiveDirectoryAdministrator', 
               'Remove-AzSqlInstanceDatabase', 
               'Remove-AzSqlInstanceDatabaseLongTermRetentionBackup', 
               'Remove-AzSqlInstanceDatabaseSensitivityClassification', 
               'Remove-AzSqlInstanceKeyVaultKey', 'Remove-AzSqlInstanceLink', 
               'Remove-AzSqlInstancePool', 
               'Remove-AzSqlInstanceServerTrustCertificate', 
               'Remove-AzSqlInstanceStartStopSchedule', 'Remove-AzSqlServer', 
               'Remove-AzSqlServerActiveDirectoryAdministrator', 
               'Remove-AzSqlServerAudit', 'Remove-AzSqlServerCommunicationLink', 
               'Remove-AzSqlServerDisasterRecoveryConfiguration', 
               'Remove-AzSqlServerDnsAlias', 'Remove-AzSqlServerFirewallRule', 
               'Remove-AzSqlServerIpv6FirewallRule', 
               'Remove-AzSqlServerKeyVaultKey', 'Remove-AzSqlServerMSSupportAudit', 
               'Remove-AzSqlServerOutboundFirewallRule', 
               'Remove-AzSqlServerTrustGroup', 
               'Remove-AzSqlServerVirtualNetworkRule', 'Remove-AzSqlSyncAgent', 
               'Remove-AzSqlSyncGroup', 'Remove-AzSqlSyncMember', 
               'Remove-AzSqlVirtualCluster', 'Restore-AzSqlDatabase', 
               'Restore-AzSqlInstanceDatabase', 'Resume-AzSqlDatabase', 
               'Set-AzSqlDatabase', 'Set-AzSqlDatabaseAdvisorAutoExecuteStatus', 
               'Set-AzSqlDatabaseAudit', 
               'Set-AzSqlDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlDatabaseDataMaskingPolicy', 
               'Set-AzSqlDatabaseDataMaskingRule', 
               'Set-AzSqlDatabaseFailoverGroup', 
               'Set-AzSqlDatabaseGeoBackupPolicy', 
               'Set-AzSqlDatabaseInstanceFailoverGroup', 
               'Set-AzSqlDatabaseRecommendedActionState', 
               'Set-AzSqlDatabaseSecondary', 
               'Set-AzSqlDatabaseSensitivityClassification', 
               'Set-AzSqlDatabaseTransparentDataEncryption', 
               'Set-AzSqlDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Set-AzSqlElasticJob', 'Set-AzSqlElasticJobAgent', 
               'Set-AzSqlElasticJobCredential', 'Set-AzSqlElasticJobStep', 
               'Set-AzSqlElasticPool', 
               'Set-AzSqlElasticPoolAdvisorAutoExecuteStatus', 
               'Set-AzSqlElasticPoolRecommendedActionState', 'Set-AzSqlInstance', 
               'Set-AzSqlInstanceActiveDirectoryAdministrator', 
               'Set-AzSqlInstanceDatabase', 
               'Set-AzSqlInstanceDatabaseBackupLongTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseBackupShortTermRetentionPolicy', 
               'Set-AzSqlInstanceDatabaseSensitivityClassification', 
               'Set-AzSqlInstanceDatabaseVulnerabilityAssessmentRuleBaseline', 
               'Set-AzSqlInstanceDtc', 'Set-AzSqlInstancePool', 
               'Set-AzSqlInstanceTransparentDataEncryptionProtector', 
               'Set-AzSqlServer', 'Set-AzSqlServerActiveDirectoryAdministrator', 
               'Set-AzSqlServerAdvisorAutoExecuteStatus', 'Set-AzSqlServerAudit', 
               'Set-AzSqlServerConfigurationOption', 
               'Set-AzSqlServerDisasterRecoveryConfiguration', 
               'Set-AzSqlServerDnsAlias', 'Set-AzSqlServerFirewallRule', 
               'Set-AzSqlServerIpv6FirewallRule', 'Set-AzSqlServerMSSupportAudit', 
               'Set-AzSqlServerRecommendedActionState', 
               'Set-AzSqlServerTransparentDataEncryptionProtector', 
               'Set-AzSqlServerVirtualNetworkRule', 
               'Start-AzSqlDatabaseExecuteIndexRecommendation', 
               'Start-AzSqlDatabaseVulnerabilityAssessmentScan', 
               'Start-AzSqlElasticJob', 'Start-AzSqlInstance', 
               'Start-AzSqlInstanceDatabaseLogReplay', 
               'Start-AzSqlInstanceDatabaseVulnerabilityAssessmentScan', 
               'Start-AzSqlSyncGroupSync', 'Stop-AzSqlDatabaseActivity', 
               'Stop-AzSqlDatabaseExecuteIndexRecommendation', 
               'Stop-AzSqlElasticJob', 'Stop-AzSqlElasticPoolActivity', 
               'Stop-AzSqlInstance', 'Stop-AzSqlInstanceDatabaseCopy', 
               'Stop-AzSqlInstanceDatabaseLogReplay', 
               'Stop-AzSqlInstanceDatabaseMove', 'Stop-AzSqlInstanceOperation', 
               'Stop-AzSqlSyncGroupSync', 'Suspend-AzSqlDatabase', 
               'Switch-AzSqlDatabaseFailoverGroup', 
               'Switch-AzSqlDatabaseInstanceFailoverGroup', 
               'Update-AzSqlDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlDatabaseLongTermRetentionBackup', 
               'Update-AzSqlDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseAdvancedThreatProtectionSetting', 
               'Update-AzSqlInstanceDatabaseVulnerabilityAssessmentSetting', 
               'Update-AzSqlInstanceLink', 
               'Update-AzSqlInstanceVulnerabilityAssessmentSetting', 
               'Update-AzSqlServerAdvancedThreatProtectionSetting', 
               'Update-AzSqlServerVulnerabilityAssessmentSetting', 
               'Update-AzSqlSyncGroup', 'Update-AzSqlSyncMember', 
               'Update-AzSqlSyncSchema'

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = 'Get-AzSqlDatabaseLongTermRetentionPolicy', 
               'Get-AzSqlInstanceTDEProtector', 
               'Set-AzSqlDatabaseLongTermRetentionPolicy', 'Set-AzSqlInstanceLink', 
               'Set-AzSqlInstanceTDEProtector', 'Set-AzSqlServerTrustGroup'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ResourceManager','ARM','Sql','Database'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '* Added ''DatabaseFormat'' and ''PricingModel'' parameters to ''New-AzSqlInstance'', ''Set-AzSqlInstance''
* Added breaking change message for ''New-AzSqlDatabaseFailoverGroup'' and ''Set-AzSqlDatabaseFailoverGroup''
    - The default value of ''FailoverPolicy'' parameter will be changed from ''Automatic'' to ''Manual''
* Added a new cmdlet for Azure SQL Managed Instance refresh external governance status
  - ''Invoke-AzSqlInstanceExternalGovernanceStatusRefresh''
* Updated ''Get-AzSqlInstance'' to support returning the ''ExternalGovernanceStatus'' property'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}


# SIG # Begin signature block
# MIInvwYJKoZIhvcNAQcCoIInsDCCJ6wCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCB563TtwB+YspHq
# Y/jhk1uRbjGl1xETSqoIyW1ITBXISaCCDXYwggX0MIID3KADAgECAhMzAAADrzBA
# DkyjTQVBAAAAAAOvMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNVBAYTAlVTMRMwEQYD
# VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNpZ25p
# bmcgUENBIDIwMTEwHhcNMjMxMTE2MTkwOTAwWhcNMjQxMTE0MTkwOTAwWjB0MQsw
# CQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
# ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMR4wHAYDVQQDExVNaWNy
# b3NvZnQgQ29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
# AQDOS8s1ra6f0YGtg0OhEaQa/t3Q+q1MEHhWJhqQVuO5amYXQpy8MDPNoJYk+FWA
# hePP5LxwcSge5aen+f5Q6WNPd6EDxGzotvVpNi5ve0H97S3F7C/axDfKxyNh21MG
# 0W8Sb0vxi/vorcLHOL9i+t2D6yvvDzLlEefUCbQV/zGCBjXGlYJcUj6RAzXyeNAN
# xSpKXAGd7Fh+ocGHPPphcD9LQTOJgG7Y7aYztHqBLJiQQ4eAgZNU4ac6+8LnEGAL
# go1ydC5BJEuJQjYKbNTy959HrKSu7LO3Ws0w8jw6pYdC1IMpdTkk2puTgY2PDNzB
# tLM4evG7FYer3WX+8t1UMYNTAgMBAAGjggFzMIIBbzAfBgNVHSUEGDAWBgorBgEE
# AYI3TAgBBggrBgEFBQcDAzAdBgNVHQ4EFgQURxxxNPIEPGSO8kqz+bgCAQWGXsEw
# RQYDVR0RBD4wPKQ6MDgxHjAcBgNVBAsTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEW
# MBQGA1UEBRMNMjMwMDEyKzUwMTgyNjAfBgNVHSMEGDAWgBRIbmTlUAXTgqoXNzci
# tW2oynUClTBUBgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vd3d3Lm1pY3Jvc29mdC5j
# b20vcGtpb3BzL2NybC9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3JsMGEG
# CCsGAQUFBwEBBFUwUzBRBggrBgEFBQcwAoZFaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNDb2RTaWdQQ0EyMDExXzIwMTEtMDctMDguY3J0
# MAwGA1UdEwEB/wQCMAAwDQYJKoZIhvcNAQELBQADggIBAISxFt/zR2frTFPB45Yd
# mhZpB2nNJoOoi+qlgcTlnO4QwlYN1w/vYwbDy/oFJolD5r6FMJd0RGcgEM8q9TgQ
# 2OC7gQEmhweVJ7yuKJlQBH7P7Pg5RiqgV3cSonJ+OM4kFHbP3gPLiyzssSQdRuPY
# 1mIWoGg9i7Y4ZC8ST7WhpSyc0pns2XsUe1XsIjaUcGu7zd7gg97eCUiLRdVklPmp
# XobH9CEAWakRUGNICYN2AgjhRTC4j3KJfqMkU04R6Toyh4/Toswm1uoDcGr5laYn
# TfcX3u5WnJqJLhuPe8Uj9kGAOcyo0O1mNwDa+LhFEzB6CB32+wfJMumfr6degvLT
# e8x55urQLeTjimBQgS49BSUkhFN7ois3cZyNpnrMca5AZaC7pLI72vuqSsSlLalG
# OcZmPHZGYJqZ0BacN274OZ80Q8B11iNokns9Od348bMb5Z4fihxaBWebl8kWEi2O
# PvQImOAeq3nt7UWJBzJYLAGEpfasaA3ZQgIcEXdD+uwo6ymMzDY6UamFOfYqYWXk
# ntxDGu7ngD2ugKUuccYKJJRiiz+LAUcj90BVcSHRLQop9N8zoALr/1sJuwPrVAtx
# HNEgSW+AKBqIxYWM4Ev32l6agSUAezLMbq5f3d8x9qzT031jMDT+sUAoCw0M5wVt
# CUQcqINPuYjbS1WgJyZIiEkBMIIHejCCBWKgAwIBAgIKYQ6Q0gAAAAAAAzANBgkq
# hkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNhdGUgQXV0aG9yaXR5
# IDIwMTEwHhcNMTEwNzA4MjA1OTA5WhcNMjYwNzA4MjEwOTA5WjB+MQswCQYDVQQG
# EwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwG
# A1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgwJgYDVQQDEx9NaWNyb3NvZnQg
# Q29kZSBTaWduaW5nIFBDQSAyMDExMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIIC
# CgKCAgEAq/D6chAcLq3YbqqCEE00uvK2WCGfQhsqa+laUKq4BjgaBEm6f8MMHt03
# a8YS2AvwOMKZBrDIOdUBFDFC04kNeWSHfpRgJGyvnkmc6Whe0t+bU7IKLMOv2akr
# rnoJr9eWWcpgGgXpZnboMlImEi/nqwhQz7NEt13YxC4Ddato88tt8zpcoRb0Rrrg
# OGSsbmQ1eKagYw8t00CT+OPeBw3VXHmlSSnnDb6gE3e+lD3v++MrWhAfTVYoonpy
# 4BI6t0le2O3tQ5GD2Xuye4Yb2T6xjF3oiU+EGvKhL1nkkDstrjNYxbc+/jLTswM9
# sbKvkjh+0p2ALPVOVpEhNSXDOW5kf1O6nA+tGSOEy/S6A4aN91/w0FK/jJSHvMAh
# dCVfGCi2zCcoOCWYOUo2z3yxkq4cI6epZuxhH2rhKEmdX4jiJV3TIUs+UsS1Vz8k
# A/DRelsv1SPjcF0PUUZ3s/gA4bysAoJf28AVs70b1FVL5zmhD+kjSbwYuER8ReTB
# w3J64HLnJN+/RpnF78IcV9uDjexNSTCnq47f7Fufr/zdsGbiwZeBe+3W7UvnSSmn
# Eyimp31ngOaKYnhfsi+E11ecXL93KCjx7W3DKI8sj0A3T8HhhUSJxAlMxdSlQy90
# lfdu+HggWCwTXWCVmj5PM4TasIgX3p5O9JawvEagbJjS4NaIjAsCAwEAAaOCAe0w
# ggHpMBAGCSsGAQQBgjcVAQQDAgEAMB0GA1UdDgQWBBRIbmTlUAXTgqoXNzcitW2o
# ynUClTAZBgkrBgEEAYI3FAIEDB4KAFMAdQBiAEMAQTALBgNVHQ8EBAMCAYYwDwYD
# VR0TAQH/BAUwAwEB/zAfBgNVHSMEGDAWgBRyLToCMZBDuRQFTuHqp8cx0SOJNDBa
# BgNVHR8EUzBRME+gTaBLhklodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2Ny
# bC9wcm9kdWN0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3JsMF4GCCsG
# AQUFBwEBBFIwUDBOBggrBgEFBQcwAoZCaHR0cDovL3d3dy5taWNyb3NvZnQuY29t
# L3BraS9jZXJ0cy9NaWNSb29DZXJBdXQyMDExXzIwMTFfMDNfMjIuY3J0MIGfBgNV
# HSAEgZcwgZQwgZEGCSsGAQQBgjcuAzCBgzA/BggrBgEFBQcCARYzaHR0cDovL3d3
# dy5taWNyb3NvZnQuY29tL3BraW9wcy9kb2NzL3ByaW1hcnljcHMuaHRtMEAGCCsG
# AQUFBwICMDQeMiAdAEwAZQBnAGEAbABfAHAAbwBsAGkAYwB5AF8AcwB0AGEAdABl
# AG0AZQBuAHQALiAdMA0GCSqGSIb3DQEBCwUAA4ICAQBn8oalmOBUeRou09h0ZyKb
# C5YR4WOSmUKWfdJ5DJDBZV8uLD74w3LRbYP+vj/oCso7v0epo/Np22O/IjWll11l
# hJB9i0ZQVdgMknzSGksc8zxCi1LQsP1r4z4HLimb5j0bpdS1HXeUOeLpZMlEPXh6
# I/MTfaaQdION9MsmAkYqwooQu6SpBQyb7Wj6aC6VoCo/KmtYSWMfCWluWpiW5IP0
# wI/zRive/DvQvTXvbiWu5a8n7dDd8w6vmSiXmE0OPQvyCInWH8MyGOLwxS3OW560
# STkKxgrCxq2u5bLZ2xWIUUVYODJxJxp/sfQn+N4sOiBpmLJZiWhub6e3dMNABQam
# ASooPoI/E01mC8CzTfXhj38cbxV9Rad25UAqZaPDXVJihsMdYzaXht/a8/jyFqGa
# J+HNpZfQ7l1jQeNbB5yHPgZ3BtEGsXUfFL5hYbXw3MYbBL7fQccOKO7eZS/sl/ah
# XJbYANahRr1Z85elCUtIEJmAH9AAKcWxm6U/RXceNcbSoqKfenoi+kiVH6v7RyOA
# 9Z74v2u3S5fi63V4GuzqN5l5GEv/1rMjaHXmr/r8i+sLgOppO6/8MO0ETI7f33Vt
# Y5E90Z1WTk+/gFcioXgRMiF670EKsT/7qMykXcGhiJtXcVZOSEXAQsmbdlsKgEhr
# /Xmfwb1tbWrJUnMTDXpQzTGCGZ8wghmbAgEBMIGVMH4xCzAJBgNVBAYTAlVTMRMw
# EQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
# aWNyb3NvZnQgQ29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBDb2RlIFNp
# Z25pbmcgUENBIDIwMTECEzMAAAOvMEAOTKNNBUEAAAAAA68wDQYJYIZIAWUDBAIB
# BQCgga4wGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEO
# MAwGCisGAQQBgjcCARUwLwYJKoZIhvcNAQkEMSIEIC8Jge77mWagc4aujwcd98Va
# 13HofZ3uBb0UV9V2uIhYMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwByAG8A
# cwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20wDQYJKoZIhvcNAQEB
# BQAEggEAQ7t8tk5/f0UnDOCG43j189yNrD/3QJElc4hmn8K0Uduk0+wRSUb2c363
# 3UVC7/U8jx7u+1hNMhEANMyCPAtCjTHpw5bUrWMe0YcXRjsPtudZ/o7XBB5mhsDc
# Qy6+MlKJl+IfJSPFkuKIeAP7Q0pTmCfwJatH0lvA1LiGt5mccmqRhK1VAnZkN69P
# eNB6PjftwUpGVsk2dvUj1DFGJsqHTzBVmWd5QqYz7+EDRYjWx3z/igVpF+KqjoKO
# ssOhn/PX9hFJFJCBYQjvmMShnSdF0i5skvMcWZ3jeLe3B9T6YVTd9plERwNo4A9y
# JqcC6TtL55hzPwc/O+iN9L1xPS6dgaGCFykwghclBgorBgEEAYI3AwMBMYIXFTCC
# FxEGCSqGSIb3DQEHAqCCFwIwghb+AgEDMQ8wDQYJYIZIAWUDBAIBBQAwggFZBgsq
# hkiG9w0BCRABBKCCAUgEggFEMIIBQAIBAQYKKwYBBAGEWQoDATAxMA0GCWCGSAFl
# AwQCAQUABCBenl/zDttfpbZLaHWNjlzxz0yYO+Y1dETKn+dU20X95AIGZa67uOi8
# GBMyMDI0MDEzMDA1NDA1Mi41NzhaMASAAgH0oIHYpIHVMIHSMQswCQYDVQQGEwJV
# UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEeMBwGA1UE
# ChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMS0wKwYDVQQLEyRNaWNyb3NvZnQgSXJl
# bGFuZCBPcGVyYXRpb25zIExpbWl0ZWQxJjAkBgNVBAsTHVRoYWxlcyBUU1MgRVNO
# Ojg2REYtNEJCQy05MzM1MSUwIwYDVQQDExxNaWNyb3NvZnQgVGltZS1TdGFtcCBT
# ZXJ2aWNloIIReDCCBycwggUPoAMCAQICEzMAAAHdXVcdldStqhsAAQAAAd0wDQYJ
# KoZIhvcNAQELBQAwfDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24x
# EDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
# bjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBIDIwMTAwHhcNMjMx
# MDEyMTkwNzA5WhcNMjUwMTEwMTkwNzA5WjCB0jELMAkGA1UEBhMCVVMxEzARBgNV
# BAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jv
# c29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxhbmQgT3Bl
# cmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjo4NkRGLTRC
# QkMtOTMzNTElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCC
# AiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAKhOA5RE6i53nHURH4lnfKLp
# +9JvipuTtctairCxMUSrPSy5CWK2DtriQP+T52HXbN2g7AktQ1pQZbTDGFzK6d03
# vYYNrCPuJK+PRsP2FPVDjBXy5mrLRFzIHHLaiAaobE5vFJuoxZ0ZWdKMCs8acjhH
# UmfaY+79/CR7uN+B4+xjJqwvdpU/mp0mAq3earyH+AKmv6lkrQN8zgrcbCgHwsqv
# vqT6lEFqYpi7uKn7MAYbSeLe0pMdatV5EW6NVnXMYOTRKuGPfyfBKdShualLo88k
# G7qa2mbA5l77+X06JAesMkoyYr4/9CgDFjHUpcHSODujlFBKMi168zRdLerdpW0b
# BX9EDux2zBMMaEK8NyxawCEuAq7++7ktFAbl3hUKtuzYC1FUZuUl2Bq6U17S4CKs
# qR3itLT9qNcb2pAJ4jrIDdll5Tgoqef5gpv+YcvBM834bXFNwytd3ujDD24P9Dd8
# xfVJvumjsBQQkK5T/qy3HrQJ8ud1nHSvtFVi5Sa/ubGuYEpS8gF6GDWN5/KbveFk
# dsoTVIPo8pkWhjPs0Q7nA5+uBxQB4zljEjKz5WW7BA4wpmFm24fhBmRjV4Nbp+n7
# 8cgAjvDSfTlA6DYBcv2kx1JH2dIhaRnSeOXePT6hMF0Il598LMu0rw35ViUWcAQk
# UNUTxRnqGFxz5w+ZusMDAgMBAAGjggFJMIIBRTAdBgNVHQ4EFgQUbqL1toyPUdpF
# yyHSDKWj0I4lw/EwHwYDVR0jBBgwFoAUn6cVXQBeYl2D9OXSZacbUzUZ6XIwXwYD
# VR0fBFgwVjBUoFKgUIZOaHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9j
# cmwvTWljcm9zb2Z0JTIwVGltZS1TdGFtcCUyMFBDQSUyMDIwMTAoMSkuY3JsMGwG
# CCsGAQUFBwEBBGAwXjBcBggrBgEFBQcwAoZQaHR0cDovL3d3dy5taWNyb3NvZnQu
# Y29tL3BraW9wcy9jZXJ0cy9NaWNyb3NvZnQlMjBUaW1lLVN0YW1wJTIwUENBJTIw
# MjAxMCgxKS5jcnQwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8EDDAKBggrBgEFBQcD
# CDAOBgNVHQ8BAf8EBAMCB4AwDQYJKoZIhvcNAQELBQADggIBAC5U2bINLgXIHWbM
# cqVuf9jkUT/K8zyLBvu5h8JrqYR2z/eaO2yo1Ooc9Shyvxbe9GZDu7kkUzxSyJ1I
# ZksZZw6FDq6yZNT3PEjAEnREpRBL8S+mbXg+O4VLS0LSmb8XIZiLsaqZ0fDEcv3H
# eA+/y/qKnCQWkXghpaEMwGMQzRkhGwcGdXr1zGpQ7HTxvfu57xFxZX1MkKnWFENJ
# 6urd+4teUgXj0ngIOx//l3XMK3Ht8T2+zvGJNAF+5/5qBk7nr079zICbFXvxtidN
# N5eoXdW+9rAIkS+UGD19AZdBrtt6dZ+OdAquBiDkYQ5kVfUMKS31yHQOGgmFxuCO
# zTpWHalrqpdIllsy8KNsj5U9sONiWAd9PNlyEHHbQZDmi9/BNlOYyTt0YehLbDov
# mZUNazk79Od/A917mqCdTqrExwBGUPbMP+/vdYUqaJspupBnUtjOf/76DAhVy8e/
# e6zR98PkplmliO2brL3Q3rD6+ZCVdrGM9Rm6hUDBBkvYh+YjmGdcQ5HB6WT9Rec8
# +qDHmbhLhX4Zdaard5/OXeLbgx2f7L4QQQj3KgqjqDOWInVhNE1gYtTWLHe4882d
# /k7Lui0K1g8EZrKD7maOrsJLKPKlegceJ9FCqY1sDUKUhRa0EHUW+ZkKLlohKrS7
# FwjdrINWkPBgbQznCjdE2m47QjTbMIIHcTCCBVmgAwIBAgITMwAAABXF52ueAptJ
# mQAAAAAAFTANBgkqhkiG9w0BAQsFADCBiDELMAkGA1UEBhMCVVMxEzARBgNVBAgT
# Cldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29m
# dCBDb3Jwb3JhdGlvbjEyMDAGA1UEAxMpTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IDIwMTAwHhcNMjEwOTMwMTgyMjI1WhcNMzAwOTMwMTgzMjI1
# WjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDCCAiIwDQYJKoZIhvcNAQEB
# BQADggIPADCCAgoCggIBAOThpkzntHIhC3miy9ckeb0O1YLT/e6cBwfSqWxOdcjK
# NVf2AX9sSuDivbk+F2Az/1xPx2b3lVNxWuJ+Slr+uDZnhUYjDLWNE893MsAQGOhg
# fWpSg0S3po5GawcU88V29YZQ3MFEyHFcUTE3oAo4bo3t1w/YJlN8OWECesSq/XJp
# rx2rrPY2vjUmZNqYO7oaezOtgFt+jBAcnVL+tuhiJdxqD89d9P6OU8/W7IVWTe/d
# vI2k45GPsjksUZzpcGkNyjYtcI4xyDUoveO0hyTD4MmPfrVUj9z6BVWYbWg7mka9
# 7aSueik3rMvrg0XnRm7KMtXAhjBcTyziYrLNueKNiOSWrAFKu75xqRdbZ2De+JKR
# Hh09/SDPc31BmkZ1zcRfNN0Sidb9pSB9fvzZnkXftnIv231fgLrbqn427DZM9itu
# qBJR6L8FA6PRc6ZNN3SUHDSCD/AQ8rdHGO2n6Jl8P0zbr17C89XYcz1DTsEzOUyO
# ArxCaC4Q6oRRRuLRvWoYWmEBc8pnol7XKHYC4jMYctenIPDC+hIK12NvDMk2ZItb
# oKaDIV1fMHSRlJTYuVD5C4lh8zYGNRiER9vcG9H9stQcxWv2XFJRXRLbJbqvUAV6
# bMURHXLvjflSxIUXk8A8FdsaN8cIFRg/eKtFtvUeh17aj54WcmnGrnu3tz5q4i6t
# AgMBAAGjggHdMIIB2TASBgkrBgEEAYI3FQEEBQIDAQABMCMGCSsGAQQBgjcVAgQW
# BBQqp1L+ZMSavoKRPEY1Kc8Q/y8E7jAdBgNVHQ4EFgQUn6cVXQBeYl2D9OXSZacb
# UzUZ6XIwXAYDVR0gBFUwUzBRBgwrBgEEAYI3TIN9AQEwQTA/BggrBgEFBQcCARYz
# aHR0cDovL3d3dy5taWNyb3NvZnQuY29tL3BraW9wcy9Eb2NzL1JlcG9zaXRvcnku
# aHRtMBMGA1UdJQQMMAoGCCsGAQUFBwMIMBkGCSsGAQQBgjcUAgQMHgoAUwB1AGIA
# QwBBMAsGA1UdDwQEAwIBhjAPBgNVHRMBAf8EBTADAQH/MB8GA1UdIwQYMBaAFNX2
# VsuP6KJcYmjRPZSQW9fOmhjEMFYGA1UdHwRPME0wS6BJoEeGRWh0dHA6Ly9jcmwu
# bWljcm9zb2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY1Jvb0NlckF1dF8yMDEw
# LTA2LTIzLmNybDBaBggrBgEFBQcBAQROMEwwSgYIKwYBBQUHMAKGPmh0dHA6Ly93
# d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWljUm9vQ2VyQXV0XzIwMTAtMDYt
# MjMuY3J0MA0GCSqGSIb3DQEBCwUAA4ICAQCdVX38Kq3hLB9nATEkW+Geckv8qW/q
# XBS2Pk5HZHixBpOXPTEztTnXwnE2P9pkbHzQdTltuw8x5MKP+2zRoZQYIu7pZmc6
# U03dmLq2HnjYNi6cqYJWAAOwBb6J6Gngugnue99qb74py27YP0h1AdkY3m2CDPVt
# I1TkeFN1JFe53Z/zjj3G82jfZfakVqr3lbYoVSfQJL1AoL8ZthISEV09J+BAljis
# 9/kpicO8F7BUhUKz/AyeixmJ5/ALaoHCgRlCGVJ1ijbCHcNhcy4sa3tuPywJeBTp
# kbKpW99Jo3QMvOyRgNI95ko+ZjtPu4b6MhrZlvSP9pEB9s7GdP32THJvEKt1MMU0
# sHrYUP4KWN1APMdUbZ1jdEgssU5HLcEUBHG/ZPkkvnNtyo4JvbMBV0lUZNlz138e
# W0QBjloZkWsNn6Qo3GcZKCS6OEuabvshVGtqRRFHqfG3rsjoiV5PndLQTHa1V1QJ
# sWkBRH58oWFsc/4Ku+xBZj1p/cvBQUl+fpO+y/g75LcVv7TOPqUxUYS8vwLBgqJ7
# Fx0ViY1w/ue10CgaiQuPNtq6TPmb/wrpNPgkNWcr4A245oyZ1uEi6vAnQj0llOZ0
# dFtq0Z4+7X6gMTN9vMvpe784cETRkPHIqzqKOghif9lwY1NNje6CbaUFEMFxBmoQ
# tB1VM1izoXBm8qGCAtQwggI9AgEBMIIBAKGB2KSB1TCB0jELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEtMCsGA1UECxMkTWljcm9zb2Z0IElyZWxh
# bmQgT3BlcmF0aW9ucyBMaW1pdGVkMSYwJAYDVQQLEx1UaGFsZXMgVFNTIEVTTjo4
# NkRGLTRCQkMtOTMzNTElMCMGA1UEAxMcTWljcm9zb2Z0IFRpbWUtU3RhbXAgU2Vy
# dmljZaIjCgEBMAcGBSsOAwIaAxUANiNHGWXbNaDPxnyiDbEOciSjFhCggYMwgYCk
# fjB8MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
# UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSYwJAYDVQQD
# Ex1NaWNyb3NvZnQgVGltZS1TdGFtcCBQQ0EgMjAxMDANBgkqhkiG9w0BAQUFAAIF
# AOlidDgwIhgPMjAyNDAxMzAwMzAwMDhaGA8yMDI0MDEzMTAzMDAwOFowdDA6Bgor
# BgEEAYRZCgQBMSwwKjAKAgUA6WJ0OAIBADAHAgEAAgILmDAHAgEAAgISBDAKAgUA
# 6WPFuAIBADA2BgorBgEEAYRZCgQCMSgwJjAMBgorBgEEAYRZCgMCoAowCAIBAAID
# B6EgoQowCAIBAAIDAYagMA0GCSqGSIb3DQEBBQUAA4GBAHQIGqsTLz+s0RpIPhHL
# l3sMu0D843AsaGm7SPkpPz3/qLigI96krwra0LRpS/0WGMWKJ8yEr9s1E2qcjslo
# xvHy0f+JnxEH3t5UXb1preupQk/D/XlyaUqCL7injJUdQbEW+r6WrhvI6azG9nVj
# wtrEmWsvirNf2U5OShBdLsvPMYIEDTCCBAkCAQEwgZMwfDELMAkGA1UEBhMCVVMx
# EzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
# FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEmMCQGA1UEAxMdTWljcm9zb2Z0IFRpbWUt
# U3RhbXAgUENBIDIwMTACEzMAAAHdXVcdldStqhsAAQAAAd0wDQYJYIZIAWUDBAIB
# BQCgggFKMBoGCSqGSIb3DQEJAzENBgsqhkiG9w0BCRABBDAvBgkqhkiG9w0BCQQx
# IgQgxmKhtCgaFuVVNbbeuTIq5nZUtKJJakyYw6Ob/K8IlJIwgfoGCyqGSIb3DQEJ
# EAIvMYHqMIHnMIHkMIG9BCBh/w4tmmWsT3iZnHtH0Vk37UCN02lRxY+RiON6wDFj
# ZjCBmDCBgKR+MHwxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAw
# DgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24x
# JjAkBgNVBAMTHU1pY3Jvc29mdCBUaW1lLVN0YW1wIFBDQSAyMDEwAhMzAAAB3V1X
# HZXUraobAAEAAAHdMCIEIIRV3/Zxn6//Xp6ezYFzDshRuP0K9zNthET5IsF3O0Id
# MA0GCSqGSIb3DQEBCwUABIICAJfetGJmugxVMUyOKWbd4A2hYEZTZB1yBVu3Ci0J
# AaeBzuMGPAyWgn1v7EQ9x45H+yPHbPHoRsb5VPlGQ/noIGPS3F1PJPnBIMDc1AEX
# /akIRKXQunJZdL9t3R26RkjpZZZQMGUbQuu+DrqmdUpcTP5IoiGOzelXrzFKp0RF
# WkH7bj24pKyWwqvCy7cwDXGQps5Pjn55m4V1HqAmnGH1bUEStVJY6qMD/Zfg8i47
# t3Etbodf6+hK9U/PMCQdndH4t6JGNMaufEQd7dRW3d+nMih+ViLNq8igr2puxthl
# JoqCmYE/uxus0NKMIR6svNnUfTq0fpIIxIiuQQSWEJfTZP9f1aLtfJTF4/87RmYm
# rI/RnIlBvR72mHMKwkYLcOEeHMNdyxlMSruf6gFZrNAUHkeBYw/9rOF2Eazo7K5e
# wkQ8EJh0OngwYW/t1KTwWwdlFUG1YnFUn01nNdNU/y36PU9X2nRdsb06FBDCIrFw
# YxHqDXDSXlswomH9tE6INmfH81m5jnGZwFINv983xcurmByEzF0ES9FWbKymomFF
# dzEPuB21Mzyyt5A1N6ZW0TEInpiz9GR8oudJIuKwE3c/+b70exfSt24eAxCUUL3x
# S5B5unwviz+qZgLLj8kETI23zNBHBtQKeoPBaWzb+exxZ8w4Ngs+UTNEkPGKiJ1Q
# vwwi
# SIG # End signature block
