#
# Module manifest for module 'Az'
#
# Generated by: Microsoft Corporation
#
# Generated on: 1/30/2024
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'Az.psm1'

# Version number of this module.
ModuleVersion = '11.3.0'

# Supported PSEditions
CompatiblePSEditions = 'Core', 'Desktop'

# ID used to uniquely identify this module
GUID = 'd48d710e-85cb-46a1-990f-22dae76f6b5f'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = 'Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'Microsoft Azure PowerShell - Cmdlets to manage resources in Azure. This module is compatible with PowerShell and Windows PowerShell.
For more information about the Az module, please visit the following: https://learn.microsoft.com/powershell/azure/'

# Minimum version of the PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
DotNetFrameworkVersion = '4.7.2'

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# ClrVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
# FormatsToProcess = @()

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
# NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = @()

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'Azure','ARM','ResourceManager','Linux','AzureAutomationNotSupported'

        # A URL to the license for this module.
        LicenseUri = 'https://aka.ms/azps-license'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/Azure/azure-powershell'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '11.3.0 - February 2024
Az.Accounts
* Upgraded the reference of Azure PowerShell Common to 1.3.90-preview.
* Upgraded Azure.Identity to 1.10.3 [#23018].
  - Renamed token cache from ''msal.cache'' to ''msal.cache.cae'' or ''masl.cache.nocae''.
* Enabled Continue Access Evaluation (CAE) for all Service Principals login methods.
* Supported signing in with Microsoft Account (MSA) via Web Account Manager (WAM). Enable it by ''Set-AzConfig -EnableLoginByWam True''.
* Adjusted output format to be more user-friendly for ''Get-AzContext/Tenant/Subscription'' and ''Invoke-AzRestMethod''.
* Fixed the multiple ''x-ms-unique-id'' values issue.

Az.Aks
* Fixed the resolve path issue in ''Install-AzAksCliTool''.

Az.DataFactory
* Added metadata Into StoreWriteSettings For Bug Fix
* Supported ADF Warehouse, Mysql V2 and Salesforce V2 in ADF

Az.ElasticSan
* General availability for module Az.ElasticSan

Az.KeyVault
* Supported authentication via User Managed Identity by adding parameter ''UseUserManagedIdentity'' and making ''SasToken'' optional.

Az.Migrate
* Added support for ''Data.Replication''

Az.Monitor
* Remove outdated breaking change warning [#24033]

Az.Network
* Fixed a few minor issues
* Updated ''New-AzApplicationGateway'' to include ''EnableRequestBuffering'' and ''EnableResponseBuffering'' parameters
* Changed the Default Rule Set from CRS3.0 to DRS2.1 in ''NewAzureApplicationGatewayFirewallPolicy''
* Added optional property ''Profile'' to ''New-AzFirewallPolicyIntrusionDetection'' 
* Added new cmdlet to update Connection child resource of Network Virtual Appliance. - ''Update-AzNetworkVirtualApplianceConnection''
* Added support of ''InternetIngressIp'' Property in New-AzNetworkVirtualAppliance
* Added the new cmdlet for supporting ''InternetIngressIp'' Property with Network Virtual Appliances -''New-AzVirtualApplianceInternetIngressIpsProperty''
* Added a new AuxiliaryMode value ''AuxiliaryMode.Floating''
* Added support for AzureFirewallPacketCapture

Az.Nginx
* General availability of ''Az.Nginx'' module

Az.RecoveryServices
* Added CRR support for taiwannorth, taiwannorthwest region.
* Added breaking change notification for cmdlets whose output type is ''ASRVaultSettings''.
* Added warning for Standard to Enhanced policy migration for AzureVMs.
* Updated Unregister-AzRecoveryServicesBackupContainer cmdlet to ouptput Job object if PassThru not given.
* Fixed issue with Get-AzRecoveryServicesVaultSettingsFile cmdlet to return private endpoint state for backup.

Az.Resources
* Supported ''-SkipClientSideScopeValidation'' in RoleAssignment and RoleDefinition related commands. [#22473]
* Updated Bicep build logic to use --stdout flag instead of creating a temporary file on disk.
* Fixed exception when ''-ApiVersion'' is specified for ''Get-AzResource'', affected by some resource types.

Az.Sql
* Added ''DatabaseFormat'' and ''PricingModel'' parameters to ''New-AzSqlInstance'', ''Set-AzSqlInstance''
* Added breaking change message for ''New-AzSqlDatabaseFailoverGroup'' and ''Set-AzSqlDatabaseFailoverGroup''
    - The default value of ''FailoverPolicy'' parameter will be changed from ''Automatic'' to ''Manual''
* Added a new cmdlet for Azure SQL Managed Instance refresh external governance status
  - ''Invoke-AzSqlInstanceExternalGovernanceStatusRefresh''
* Updated ''Get-AzSqlInstance'' to support returning the ''ExternalGovernanceStatus'' property

Az.SqlVirtualMachine
* Fixed a bug of parameter ''VirtualMachineResourceId'' of cmdlet ''New-AzSqlVM''.

Az.StackHCI
* Fixed issue for WAC.
* Restricted registration for 23H2 devices exclusively to cloud deployment.

Az.StackHCIVM
* General availability for module Az.StackHCIVM

Az.Storage
* Removed some code branches referencing Microsoft.Azure.Storage.Blob
    - ''Get-AzStorageBlob''
* Updated the prompt message when deleting a share snapshot and the output format when listing 
    - ''Remove-AzStorageShare''
    - ''Remove-AzRmStorageShare''
    - ''Get-AzRmStorageShare''

Az.Websites
* Fixed Ambiguous Positional Argument for ''New-AzWebAppSlot''
'

        # Prerelease string of this module
        # Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}

